window.Gleam.initSearch([{"doc":"lustre_ui","title":"lustre_ui","content":"&lt;h1 align=&quot;center&quot;&gt;Lustre UI&lt;/h1&gt;\n\n&lt;div align=&quot;center&quot;&gt;\n  A thoughtfully designed UI library for Lustre.\n&lt;/div&gt;\n\n&lt;br /&gt;\n\n&lt;div align=&quot;center&quot;&gt;\n  &lt;a href=&quot;https://hex.pm/packages/lustre_ui&quot;&gt;\n  &lt;img src=&quot;https://img.shields.io/hexpm/v/lustre_ui&quot;\n      alt=&quot;Available on Hex&quot; /&gt;\n  &lt;/a&gt;\n&lt;/div&gt;\n\n&lt;div align=&quot;center&quot;&gt;\n  &lt;h3&gt;\n    &lt;a href=&quot;https://hexdocs.pm/lustre&quot;&gt;\n      Lustre\n    &lt;/a&gt;\n    &lt;span&gt; | &lt;/span&gt;\n    &lt;a href=&quot;https://discord.gg/Fm8Pwmy&quot;&gt;\n      Discord\n    &lt;/a&gt;\n  &lt;/h3&gt;\n&lt;/div&gt;\n\n&lt;div align=&quot;center&quot;&gt;\n  &lt;sub&gt;Built with ❤︎ by\n  &lt;a href=&quot;https://twitter.com/hayleighdotdev&quot;&gt;Hayleigh Thompson&lt;/a&gt;\n&lt;/div&gt;\n\n---\n\n## Features\n\n- A set of **thoughtfully designed** and **accessible** components that have been\n  written with idiomatic Gleam and CSS in mind.\n\n- A customisable **theme system** to tweak colours, spacing, and typography to\n  fit your brand.\n\n## Philosophy\n\nMany of Lustre&#39;s users are backend or fullstack developers with less interest or\nexperience in frontend development. Lustre UI is primarily designed with those\nfolks in mind, and has two main goals:\n\n- Make it easy to build good-looking, accessible UIs without needing to know\n  much about CSS or design.\n\n- Encourage well-structured semantic HTML and avoid div soup.\n\nTo achieve this, Lustre UI is _opinionated_ on many aspects of the visual design.\nFor folks that don&#39;t want to worry about design, this is a feature not a bug, but\nfor users looking for a flexible &quot;headless&quot; UI library you will find that many\naspects of each component&#39;s styles are customisable through CSS variables.\n\n## Installation\n\n&gt; **Note**: Lustre UI is currently in pre-release and under active development.\n&gt; If you have any feedback or suggestions, please open an issue or reach out on\n&gt; the [Gleam discord](https://discord.gg/Fm8Pwmy).\n\nLustre UI is published on [Hex](https://hex.pm/packages/lustre_ui). To use it in\nyour project with Gleam:\n\n```sh\ngleam add lustre_ui@1.0.0-rc.1\n```\n\nEnsure the required CSS is rendered in your apps by serving the stylesheet found\nin the `priv/static` directory of this package!\n\n## Support\n\nLustre is mostly built by just me, [Hayleigh](https://github.com/hayleigh-dot-dev),\naround two jobs. If you&#39;d like to support my work, you can [sponsor me on GitHub](https://github.com/sponsors/hayleigh-dot-dev).\n\nContributions are also very welcome! If you&#39;ve spotted a bug, or would like to\nsuggest a feature, please open an issue or a pull request.\n\n## Reads\n\n- https://www.aha.io/engineering/articles/web-components-and-implicit-slot-names\n- https://www.abeautifulsite.net/posts/dynamic-slots/\n- https://thomaswilburn.github.io/wc-book/sd-slots.html\n- https://nolanlawson.com/2022/11/28/shadow-dom-and-accessibility-the-trouble-with-aria/\n","url":"index.html"},{"doc":"lustre/ui/accordion","title":"Item","content":"pub opaque type Item(msg)\n Represents a single item in accordion, including both the title and the\n content that is shown when the item is expanded. To construct an `Item`,\n you should use the [`item`](#item) function.\n\n\n\nSynonyms:\nlustre/ui/accordion.Item\nlustre/ui/accordion Item","url":"lustre/ui/accordion.html#Item"},{"doc":"lustre/ui/accordion","title":"name","content":"pub const name: String\n The name of the custom element as rendered in the DOM - &quot;lustre-ui-accordion&quot;.\n\nSynonyms:\nlustre/ui/accordion.name\nlustre/ui/accordion name","url":"lustre/ui/accordion.html#name"},{"doc":"lustre/ui/accordion","title":"accordion","content":"pub fn accordion(\n  attributes: List(Attribute(a)),\n  children: List(Item(a)),\n) -&gt; Element(a)\n The `accordion` element is an interactive component that allows users to show\n and hide grouped sections of content. Each section has a panel containing\n additional content that can be shown or hidden.\n\n Common uses for accordions include:\n\n - Organizing content into collapsible sections to reduce cognitive load.\n\n - Creating FAQ sections where questions expand to show their answers.\n\n You set the content of the accordion by passing a list of [`item`](#item)\n elements as children.\n\n By default, the `accordion` component allows allows only one item to be\n expanded at a time. You can change this behaviour by setting the `mode`\n attribute using one of the following functions:\n\n - [`at_most_one`](#at_most_one): only zero or one item can be expanded at\n   a time. (**default**)\n\n - [`exactly_one`](#exactly_one): exactly one item must be expanded at all\n   times. By default, the first item is expanded.\n\n - [`multi`](#multi): any number of items can be expanded at a time.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/accordion.accordion\nlustre/ui/accordion accordion","url":"lustre/ui/accordion.html#accordion"},{"doc":"lustre/ui/accordion","title":"at_most_one","content":"pub fn at_most_one() -&gt; Attribute(a)\n Set the `mode` attribute of an accordion to allow zero or one item to be\n expanded at a time. This is the default mode.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/accordion.at_most_one\nlustre/ui/accordion at_most_one","url":"lustre/ui/accordion.html#at_most_one"},{"doc":"lustre/ui/accordion","title":"border","content":"pub fn border(value: String) -&gt; Attribute(a)\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/accordion.border\nlustre/ui/accordion border","url":"lustre/ui/accordion.html#border"},{"doc":"lustre/ui/accordion","title":"border_focus","content":"pub fn border_focus(value: String) -&gt; Attribute(a)\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/accordion.border_focus\nlustre/ui/accordion border_focus","url":"lustre/ui/accordion.html#border_focus"},{"doc":"lustre/ui/accordion","title":"border_width","content":"pub fn border_width(value: String) -&gt; Attribute(a)\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/accordion.border_width\nlustre/ui/accordion border_width","url":"lustre/ui/accordion.html#border_width"},{"doc":"lustre/ui/accordion","title":"exactly_one","content":"pub fn exactly_one() -&gt; Attribute(a)\n Set the `mode` attribute of an accordion to allow exactly one item to be\n expanded at all times. If no item is expanded when this attribute is set,\n the first item will be automatically expanded.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/accordion.exactly_one\nlustre/ui/accordion exactly_one","url":"lustre/ui/accordion.html#exactly_one"},{"doc":"lustre/ui/accordion","title":"item","content":"pub fn item(\n  value value: String,\n  label label: String,\n  content content: List(Element(a)),\n) -&gt; Item(a)\n An `item` element represents a single expandable section in an accordion. It\n contains a label that is always visible and a content area that is shown or\n hidden when the accordion item is toggled.\n\n The `value` attribute is used to uniquely identify the item in the accordion\n and should not clash with an other items in the same accordion. If the `value`\n attribute is an empty string, the item will not be rendered.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/accordion.item\nlustre/ui/accordion item","url":"lustre/ui/accordion.html#item"},{"doc":"lustre/ui/accordion","title":"multi","content":"pub fn multi() -&gt; Attribute(a)\n Set the `mode` attribute of an accordion to allow any number of items to be\n expanded at a time.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/accordion.multi\nlustre/ui/accordion multi","url":"lustre/ui/accordion.html#multi"},{"doc":"lustre/ui/accordion","title":"padding","content":"pub fn padding(x x: String, y y: String) -&gt; Attribute(a)\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/accordion.padding\nlustre/ui/accordion padding","url":"lustre/ui/accordion.html#padding"},{"doc":"lustre/ui/accordion","title":"padding_x","content":"pub fn padding_x(value: String) -&gt; Attribute(a)\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/accordion.padding_x\nlustre/ui/accordion padding_x","url":"lustre/ui/accordion.html#padding_x"},{"doc":"lustre/ui/accordion","title":"padding_y","content":"pub fn padding_y(value: String) -&gt; Attribute(a)\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/accordion.padding_y\nlustre/ui/accordion padding_y","url":"lustre/ui/accordion.html#padding_y"},{"doc":"lustre/ui/accordion","title":"register","content":"pub fn register() -&gt; Result(Nil, Error)\n Register the accordion component with the tag name &quot;lustre-ui-accordion&quot;. In\n a Lustre SPA you **must** do this before the component will properly render;\n most-commonly this is done before you start your Lustre app:\n\n \n import lustre\n import lustre/ui/accordion\n\n pub fn main() {\n   let assert Ok(_) = accordion.register()\n\n   let app = lustre.application(init, update, view)\n   let assert Ok(_) = lustre.start(app, &quot;#app&quot;, Nil)\n\n   ...\n }\n \n\n Another option is to register the component in as an effect:\n\n \n import lustre/effect.{type Effect}\n import lustre/ui/accordion\n\n fn register_components(on_error: fn(lustre.Error) -&gt; msg) -&gt; Effect(msg) {\n   use dispatch &lt;- effect.from\n\n   case accordion.register() {\n     Ok(_) -&gt; Nil\n     Error(error) -&gt; on_error(error) |&gt; dispatch\n   }\n }\n \n\nSynonyms:\nlustre/ui/accordion.register\nlustre/ui/accordion register","url":"lustre/ui/accordion.html#register"},{"doc":"lustre/ui/accordion","title":"text","content":"pub fn text(value: String) -&gt; Attribute(a)\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/accordion.text\nlustre/ui/accordion text","url":"lustre/ui/accordion.html#text"},{"doc":"lustre/ui/accordion","title":"lustre/ui/accordion","content":" The [`accordion`](#accordion) element is an interactive component that allows\n users to show and hide grouped sections of content. Each section has a panel\n containing additional content that can be shown or hidden.\n\n Common uses for accordions include:\n\n - Organizing content into collapsible sections to reduce cognitive load.\n\n - Creating FAQ sections where questions expand to show their answers.\n\n ## Anatomy\n\n &lt;image src=&quot;/assets/diagram-accordion.svg&quot; alt=&quot;&quot; width=&quot;100%&quot;&gt;\n\n An accordion is made up of two different parts:\n\n - The main [`accordion`](#accordion) container used to organize content into\n   collapsible sections. (**required**)\n\n - One or more [`item`](#item) elements representing each expandable section,\n   containing a label and content. (**required**)\n\n ## Recipes\n\n Below are some recipes that show common uses of the `accordion` element.\n\n ### A basic FAQ accordion:\n\n ```gleam\n import lustre/element/html\n import lustre/ui/accordion.{accordion}\n\n pub fn faq() {\n   accordion([], [\n     accordion.item(\n       value: &quot;q1&quot;,\n       label: &quot;What is an accordion?&quot;,\n       content: [html.text(&quot;An interactive element for showing/hiding content&quot;)]\n     ),\n     accordion.item(\n       value: &quot;q2&quot;,\n       label: &quot;When should I use one?&quot;,\n       content: [html.text(&quot;When you want to organize content into sections&quot;)]\n     )\n   ])\n }\n ```\n\n ### An accordion with `exactly_one` mode:\n\n ```gleam\n import lustre/element/html\n import lustre/ui/accordion.{accordion}\n\n pub fn settings() {\n   accordion([accordion.exactly_one()], [\n     accordion.item(\n       value: &quot;general&quot;,\n       label: &quot;General&quot;,\n       content: [html.text(&quot;General settings content&quot;)]\n     ),\n     accordion.item(\n       value: &quot;privacy&quot;,\n       label: &quot;Privacy&quot;,\n       content: [html.text(&quot;Privacy settings content&quot;)]\n     )\n   ])\n }\n ```\n\n ## Customisation\n\n The behaviour of an accordion can be controlled by setting the `mode` attribute\n using one of the following functions:\n\n - [`at_most_one`](#at_most_one)\n - [`exactly_one`](#exactly_one)\n - [`multi`](#multi)\n\n It is possible to control some aspects of an accordion&#39;s styling through CSS\n variables. You may want to do this in cases where you are integrating lustre/ui\n into an existing design system and you want the `accordion` element to match\n elements outside of this package.\n\n The following CSS variables can set in your own stylesheets or by using the\n corresponding attribute functions in this module:\n\n - [`--border`](#border)\n - [`--border-focus`](#border_focus)\n - [`--padding-x`](#padding_x)\n - [`--padding-y`](#padding_y)\n - [`--radius`](#radius)\n - [`--text`](#text)\n","url":"lustre/ui/accordion.html"},{"doc":"lustre/ui/colour","title":"Colour","content":"pub type Colour =\n  colour.Colour\n\n\n\nSynonyms:\nlustre/ui/colour.Colour\nlustre/ui/colour Colour","url":"lustre/ui/colour.html#Colour"},{"doc":"lustre/ui/colour","title":"ColourPalette","content":"pub type ColourPalette {\n  ColourPalette(\n    base: ColourScale,\n    primary: ColourScale,\n    secondary: ColourScale,\n    success: ColourScale,\n    warning: ColourScale,\n    danger: ColourScale,\n  )\n}\n\n\nColourPalette(\n  base: ColourScale,\n  primary: ColourScale,\n  secondary: ColourScale,\n  success: ColourScale,\n  warning: ColourScale,\n  danger: ColourScale,\n)\n\n\nSynonyms:\nlustre/ui/colour.ColourPalette\nlustre/ui/colour ColourPalette","url":"lustre/ui/colour.html#ColourPalette"},{"doc":"lustre/ui/colour","title":"ColourScale","content":"pub type ColourScale {\n  ColourScale(\n    bg: Colour,\n    bg_subtle: Colour,\n    tint: Colour,\n    tint_subtle: Colour,\n    tint_strong: Colour,\n    accent: Colour,\n    accent_subtle: Colour,\n    accent_strong: Colour,\n    solid: Colour,\n    solid_subtle: Colour,\n    solid_strong: Colour,\n    solid_text: Colour,\n    text: Colour,\n    text_subtle: Colour,\n  )\n}\n\n\nColourScale(\n  bg: Colour,\n  bg_subtle: Colour,\n  tint: Colour,\n  tint_subtle: Colour,\n  tint_strong: Colour,\n  accent: Colour,\n  accent_subtle: Colour,\n  accent_strong: Colour,\n  solid: Colour,\n  solid_subtle: Colour,\n  solid_strong: Colour,\n  solid_text: Colour,\n  text: Colour,\n  text_subtle: Colour,\n)\n\n\nSynonyms:\nlustre/ui/colour.ColourScale\nlustre/ui/colour ColourScale","url":"lustre/ui/colour.html#ColourScale"},{"doc":"lustre/ui/colour","title":"amber","content":"pub fn amber() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.amber\nlustre/ui/colour amber","url":"lustre/ui/colour.html#amber"},{"doc":"lustre/ui/colour","title":"amber_dark","content":"pub fn amber_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.amber_dark\nlustre/ui/colour amber_dark","url":"lustre/ui/colour.html#amber_dark"},{"doc":"lustre/ui/colour","title":"blue","content":"pub fn blue() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.blue\nlustre/ui/colour blue","url":"lustre/ui/colour.html#blue"},{"doc":"lustre/ui/colour","title":"blue_dark","content":"pub fn blue_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.blue_dark\nlustre/ui/colour blue_dark","url":"lustre/ui/colour.html#blue_dark"},{"doc":"lustre/ui/colour","title":"bronze","content":"pub fn bronze() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.bronze\nlustre/ui/colour bronze","url":"lustre/ui/colour.html#bronze"},{"doc":"lustre/ui/colour","title":"bronze_dark","content":"pub fn bronze_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.bronze_dark\nlustre/ui/colour bronze_dark","url":"lustre/ui/colour.html#bronze_dark"},{"doc":"lustre/ui/colour","title":"brown","content":"pub fn brown() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.brown\nlustre/ui/colour brown","url":"lustre/ui/colour.html#brown"},{"doc":"lustre/ui/colour","title":"brown_dark","content":"pub fn brown_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.brown_dark\nlustre/ui/colour brown_dark","url":"lustre/ui/colour.html#brown_dark"},{"doc":"lustre/ui/colour","title":"contrast_ratio","content":"pub fn contrast_ratio(a: Colour, b: Colour) -&gt; Float\n\n\nSynonyms:\nlustre/ui/colour.contrast_ratio\nlustre/ui/colour contrast_ratio","url":"lustre/ui/colour.html#contrast_ratio"},{"doc":"lustre/ui/colour","title":"crimson","content":"pub fn crimson() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.crimson\nlustre/ui/colour crimson","url":"lustre/ui/colour.html#crimson"},{"doc":"lustre/ui/colour","title":"crimson_dark","content":"pub fn crimson_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.crimson_dark\nlustre/ui/colour crimson_dark","url":"lustre/ui/colour.html#crimson_dark"},{"doc":"lustre/ui/colour","title":"cyan","content":"pub fn cyan() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.cyan\nlustre/ui/colour cyan","url":"lustre/ui/colour.html#cyan"},{"doc":"lustre/ui/colour","title":"cyan_dark","content":"pub fn cyan_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.cyan_dark\nlustre/ui/colour cyan_dark","url":"lustre/ui/colour.html#cyan_dark"},{"doc":"lustre/ui/colour","title":"decoder","content":"pub fn decoder(\n  json: Dynamic,\n) -&gt; Result(ColourScale, List(DecodeError))\n\nSynonyms:\nlustre/ui/colour.decoder\nlustre/ui/colour decoder","url":"lustre/ui/colour.html#decoder"},{"doc":"lustre/ui/colour","title":"default_dark_palette","content":"pub fn default_dark_palette() -&gt; ColourPalette\n Lustre UI&#39;s default dark colour palette. You can use this if you don&#39;t have\n any strict requirements around colours and you want to start building your\n app straight away.\n\n This is the dark mode palette used by the [default theme](./theme.html#default),\n but it is not required to _only_ use this palette for dark mode!\n\nSynonyms:\nlustre/ui/colour.default_dark_palette\nlustre/ui/colour default_dark_palette","url":"lustre/ui/colour.html#default_dark_palette"},{"doc":"lustre/ui/colour","title":"default_light_palette","content":"pub fn default_light_palette() -&gt; ColourPalette\n Lustre UI&#39;s default light colour palette. You can use this if you don&#39;t have\n any strict requirements around colours and you want to start building your\n app straight away.\n\n This is the light mode palette used by the [default theme](./theme.html#default).\n\nSynonyms:\nlustre/ui/colour.default_light_palette\nlustre/ui/colour default_light_palette","url":"lustre/ui/colour.html#default_light_palette"},{"doc":"lustre/ui/colour","title":"encode","content":"pub fn encode(scale: ColourScale) -&gt; Json\n\nSynonyms:\nlustre/ui/colour.encode\nlustre/ui/colour encode","url":"lustre/ui/colour.html#encode"},{"doc":"lustre/ui/colour","title":"encode_palette","content":"pub fn encode_palette(palette: ColourPalette) -&gt; Json\n\nSynonyms:\nlustre/ui/colour.encode_palette\nlustre/ui/colour encode_palette","url":"lustre/ui/colour.html#encode_palette"},{"doc":"lustre/ui/colour","title":"gold","content":"pub fn gold() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.gold\nlustre/ui/colour gold","url":"lustre/ui/colour.html#gold"},{"doc":"lustre/ui/colour","title":"gold_dark","content":"pub fn gold_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.gold_dark\nlustre/ui/colour gold_dark","url":"lustre/ui/colour.html#gold_dark"},{"doc":"lustre/ui/colour","title":"grass","content":"pub fn grass() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.grass\nlustre/ui/colour grass","url":"lustre/ui/colour.html#grass"},{"doc":"lustre/ui/colour","title":"grass_dark","content":"pub fn grass_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.grass_dark\nlustre/ui/colour grass_dark","url":"lustre/ui/colour.html#grass_dark"},{"doc":"lustre/ui/colour","title":"gray","content":"pub fn gray() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.gray\nlustre/ui/colour gray","url":"lustre/ui/colour.html#gray"},{"doc":"lustre/ui/colour","title":"gray_dark","content":"pub fn gray_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.gray_dark\nlustre/ui/colour gray_dark","url":"lustre/ui/colour.html#gray_dark"},{"doc":"lustre/ui/colour","title":"green","content":"pub fn green() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.green\nlustre/ui/colour green","url":"lustre/ui/colour.html#green"},{"doc":"lustre/ui/colour","title":"green_dark","content":"pub fn green_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.green_dark\nlustre/ui/colour green_dark","url":"lustre/ui/colour.html#green_dark"},{"doc":"lustre/ui/colour","title":"hsl","content":"pub fn hsl(h: Float, s: Float, l: Float) -&gt; Colour\n\n\nSynonyms:\nlustre/ui/colour.hsl\nlustre/ui/colour hsl","url":"lustre/ui/colour.html#hsl"},{"doc":"lustre/ui/colour","title":"indigo","content":"pub fn indigo() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.indigo\nlustre/ui/colour indigo","url":"lustre/ui/colour.html#indigo"},{"doc":"lustre/ui/colour","title":"indigo_dark","content":"pub fn indigo_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.indigo_dark\nlustre/ui/colour indigo_dark","url":"lustre/ui/colour.html#indigo_dark"},{"doc":"lustre/ui/colour","title":"iris","content":"pub fn iris() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.iris\nlustre/ui/colour iris","url":"lustre/ui/colour.html#iris"},{"doc":"lustre/ui/colour","title":"iris_dark","content":"pub fn iris_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.iris_dark\nlustre/ui/colour iris_dark","url":"lustre/ui/colour.html#iris_dark"},{"doc":"lustre/ui/colour","title":"jade","content":"pub fn jade() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.jade\nlustre/ui/colour jade","url":"lustre/ui/colour.html#jade"},{"doc":"lustre/ui/colour","title":"jade_dark","content":"pub fn jade_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.jade_dark\nlustre/ui/colour jade_dark","url":"lustre/ui/colour.html#jade_dark"},{"doc":"lustre/ui/colour","title":"lime","content":"pub fn lime() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.lime\nlustre/ui/colour lime","url":"lustre/ui/colour.html#lime"},{"doc":"lustre/ui/colour","title":"lime_dark","content":"pub fn lime_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.lime_dark\nlustre/ui/colour lime_dark","url":"lustre/ui/colour.html#lime_dark"},{"doc":"lustre/ui/colour","title":"luminance","content":"pub fn luminance(colour: Colour) -&gt; Float\n\n\nSynonyms:\nlustre/ui/colour.luminance\nlustre/ui/colour luminance","url":"lustre/ui/colour.html#luminance"},{"doc":"lustre/ui/colour","title":"mauve","content":"pub fn mauve() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.mauve\nlustre/ui/colour mauve","url":"lustre/ui/colour.html#mauve"},{"doc":"lustre/ui/colour","title":"mauve_dark","content":"pub fn mauve_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.mauve_dark\nlustre/ui/colour mauve_dark","url":"lustre/ui/colour.html#mauve_dark"},{"doc":"lustre/ui/colour","title":"maximum_contrast","content":"pub fn maximum_contrast(\n  base: Colour,\n  options: List(Colour),\n) -&gt; Colour\n\n\nSynonyms:\nlustre/ui/colour.maximum_contrast\nlustre/ui/colour maximum_contrast","url":"lustre/ui/colour.html#maximum_contrast"},{"doc":"lustre/ui/colour","title":"mint","content":"pub fn mint() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.mint\nlustre/ui/colour mint","url":"lustre/ui/colour.html#mint"},{"doc":"lustre/ui/colour","title":"mint_dark","content":"pub fn mint_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.mint_dark\nlustre/ui/colour mint_dark","url":"lustre/ui/colour.html#mint_dark"},{"doc":"lustre/ui/colour","title":"olive","content":"pub fn olive() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.olive\nlustre/ui/colour olive","url":"lustre/ui/colour.html#olive"},{"doc":"lustre/ui/colour","title":"olive_dark","content":"pub fn olive_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.olive_dark\nlustre/ui/colour olive_dark","url":"lustre/ui/colour.html#olive_dark"},{"doc":"lustre/ui/colour","title":"orange","content":"pub fn orange() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.orange\nlustre/ui/colour orange","url":"lustre/ui/colour.html#orange"},{"doc":"lustre/ui/colour","title":"orange_dark","content":"pub fn orange_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.orange_dark\nlustre/ui/colour orange_dark","url":"lustre/ui/colour.html#orange_dark"},{"doc":"lustre/ui/colour","title":"palette_decoder","content":"pub fn palette_decoder(\n  json: Dynamic,\n) -&gt; Result(ColourPalette, List(DecodeError))\n\nSynonyms:\nlustre/ui/colour.palette_decoder\nlustre/ui/colour palette_decoder","url":"lustre/ui/colour.html#palette_decoder"},{"doc":"lustre/ui/colour","title":"pink","content":"pub fn pink() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.pink\nlustre/ui/colour pink","url":"lustre/ui/colour.html#pink"},{"doc":"lustre/ui/colour","title":"pink_dark","content":"pub fn pink_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.pink_dark\nlustre/ui/colour pink_dark","url":"lustre/ui/colour.html#pink_dark"},{"doc":"lustre/ui/colour","title":"plum","content":"pub fn plum() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.plum\nlustre/ui/colour plum","url":"lustre/ui/colour.html#plum"},{"doc":"lustre/ui/colour","title":"plum_dark","content":"pub fn plum_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.plum_dark\nlustre/ui/colour plum_dark","url":"lustre/ui/colour.html#plum_dark"},{"doc":"lustre/ui/colour","title":"purple","content":"pub fn purple() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.purple\nlustre/ui/colour purple","url":"lustre/ui/colour.html#purple"},{"doc":"lustre/ui/colour","title":"purple_dark","content":"pub fn purple_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.purple_dark\nlustre/ui/colour purple_dark","url":"lustre/ui/colour.html#purple_dark"},{"doc":"lustre/ui/colour","title":"red","content":"pub fn red() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.red\nlustre/ui/colour red","url":"lustre/ui/colour.html#red"},{"doc":"lustre/ui/colour","title":"red_dark","content":"pub fn red_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.red_dark\nlustre/ui/colour red_dark","url":"lustre/ui/colour.html#red_dark"},{"doc":"lustre/ui/colour","title":"rgb","content":"pub fn rgb(r: Int, g: Int, b: Int) -&gt; Colour\n\n\nSynonyms:\nlustre/ui/colour.rgb\nlustre/ui/colour rgb","url":"lustre/ui/colour.html#rgb"},{"doc":"lustre/ui/colour","title":"rgba","content":"pub fn rgba(r: Int, g: Int, b: Int, a: Float) -&gt; Colour\n\n\nSynonyms:\nlustre/ui/colour.rgba\nlustre/ui/colour rgba","url":"lustre/ui/colour.html#rgba"},{"doc":"lustre/ui/colour","title":"ruby","content":"pub fn ruby() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.ruby\nlustre/ui/colour ruby","url":"lustre/ui/colour.html#ruby"},{"doc":"lustre/ui/colour","title":"ruby_dark","content":"pub fn ruby_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.ruby_dark\nlustre/ui/colour ruby_dark","url":"lustre/ui/colour.html#ruby_dark"},{"doc":"lustre/ui/colour","title":"sage","content":"pub fn sage() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.sage\nlustre/ui/colour sage","url":"lustre/ui/colour.html#sage"},{"doc":"lustre/ui/colour","title":"sage_dark","content":"pub fn sage_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.sage_dark\nlustre/ui/colour sage_dark","url":"lustre/ui/colour.html#sage_dark"},{"doc":"lustre/ui/colour","title":"sand","content":"pub fn sand() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.sand\nlustre/ui/colour sand","url":"lustre/ui/colour.html#sand"},{"doc":"lustre/ui/colour","title":"sand_dark","content":"pub fn sand_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.sand_dark\nlustre/ui/colour sand_dark","url":"lustre/ui/colour.html#sand_dark"},{"doc":"lustre/ui/colour","title":"sky","content":"pub fn sky() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.sky\nlustre/ui/colour sky","url":"lustre/ui/colour.html#sky"},{"doc":"lustre/ui/colour","title":"sky_dark","content":"pub fn sky_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.sky_dark\nlustre/ui/colour sky_dark","url":"lustre/ui/colour.html#sky_dark"},{"doc":"lustre/ui/colour","title":"slate","content":"pub fn slate() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.slate\nlustre/ui/colour slate","url":"lustre/ui/colour.html#slate"},{"doc":"lustre/ui/colour","title":"slate_dark","content":"pub fn slate_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.slate_dark\nlustre/ui/colour slate_dark","url":"lustre/ui/colour.html#slate_dark"},{"doc":"lustre/ui/colour","title":"teal","content":"pub fn teal() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.teal\nlustre/ui/colour teal","url":"lustre/ui/colour.html#teal"},{"doc":"lustre/ui/colour","title":"teal_dark","content":"pub fn teal_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.teal_dark\nlustre/ui/colour teal_dark","url":"lustre/ui/colour.html#teal_dark"},{"doc":"lustre/ui/colour","title":"tomato","content":"pub fn tomato() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.tomato\nlustre/ui/colour tomato","url":"lustre/ui/colour.html#tomato"},{"doc":"lustre/ui/colour","title":"tomato_dark","content":"pub fn tomato_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.tomato_dark\nlustre/ui/colour tomato_dark","url":"lustre/ui/colour.html#tomato_dark"},{"doc":"lustre/ui/colour","title":"violet","content":"pub fn violet() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.violet\nlustre/ui/colour violet","url":"lustre/ui/colour.html#violet"},{"doc":"lustre/ui/colour","title":"violet_dark","content":"pub fn violet_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.violet_dark\nlustre/ui/colour violet_dark","url":"lustre/ui/colour.html#violet_dark"},{"doc":"lustre/ui/colour","title":"yellow","content":"pub fn yellow() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.yellow\nlustre/ui/colour yellow","url":"lustre/ui/colour.html#yellow"},{"doc":"lustre/ui/colour","title":"yellow_dark","content":"pub fn yellow_dark() -&gt; ColourScale\n\nSynonyms:\nlustre/ui/colour.yellow_dark\nlustre/ui/colour yellow_dark","url":"lustre/ui/colour.html#yellow_dark"},{"doc":"lustre/ui/colour","title":"lustre/ui/colour","content":"","url":"lustre/ui/colour.html"},{"doc":"lustre/ui/theme","title":"ColourScaleVariables","content":"pub type ColourScaleVariables {\n  ColourScaleVariables(\n    bg: String,\n    bg_subtle: String,\n    tint: String,\n    tint_subtle: String,\n    tint_strong: String,\n    accent: String,\n    accent_subtle: String,\n    accent_strong: String,\n    solid: String,\n    solid_subtle: String,\n    solid_strong: String,\n    solid_text: String,\n    text: String,\n    text_subtle: String,\n  )\n}\n\n\nColourScaleVariables(\n  bg: String,\n  bg_subtle: String,\n  tint: String,\n  tint_subtle: String,\n  tint_strong: String,\n  accent: String,\n  accent_subtle: String,\n  accent_strong: String,\n  solid: String,\n  solid_subtle: String,\n  solid_strong: String,\n  solid_text: String,\n  text: String,\n  text_subtle: String,\n)\n\n\nSynonyms:\nlustre/ui/theme.ColourScaleVariables\nlustre/ui/theme ColourScaleVariables","url":"lustre/ui/theme.html#ColourScaleVariables"},{"doc":"lustre/ui/theme","title":"FontVariables","content":"pub type FontVariables {\n  FontVariables(heading: String, body: String, code: String)\n}\n\n\nFontVariables(heading: String, body: String, code: String)\n\n\nSynonyms:\nlustre/ui/theme.FontVariables\nlustre/ui/theme FontVariables","url":"lustre/ui/theme.html#FontVariables"},{"doc":"lustre/ui/theme","title":"Fonts","content":"pub type Fonts {\n  Fonts(heading: String, body: String, code: String)\n}\n Configuration for the different fonts that can be used in a themed application.\n Each font `String` should match the format you would write in a CSS `font-family`\n rule.\n\n If you are using custom fonts, remember to make sure the font is loaded in your\n app, either through a `&lt;link&gt;` tag, or a CSS `@import`.\n\nFonts(heading: String, body: String, code: String)\n\n\nSynonyms:\nlustre/ui/theme.Fonts\nlustre/ui/theme Fonts","url":"lustre/ui/theme.html#Fonts"},{"doc":"lustre/ui/theme","title":"Selector","content":"pub type Selector {\n  Global\n  Class(String)\n  DataAttribute(String, String)\n}\n Configures the CSS selector used when applying a theme or a theme&#39;s dark\n mode.\n\nGlobal\n\n\nClass(String)\n\n\nDataAttribute(String, String)\n\n\nSynonyms:\nlustre/ui/theme.Selector\nlustre/ui/theme Selector","url":"lustre/ui/theme.html#Selector"},{"doc":"lustre/ui/theme","title":"SizeScale","content":"pub type SizeScale {\n  SizeScale(\n    xs: Float,\n    sm: Float,\n    md: Float,\n    lg: Float,\n    xl: Float,\n    xl_2: Float,\n    xl_3: Float,\n  )\n}\n Configuration for the different size values that can be used for different\n parts of a themed application. Both a theme&#39;s `space` scale as well as the\n different options for border `radius` are configured by a `SizeScale`.\n\n Each field is a value in `rem` units. So a value of `12.0` would be `12.0rem`\n in CSS, **not** `12.0px`. This means your space scale remains adaptive even\n if the user configures their browser to render smaller or larger text (for\n example when zooming or for accessibility reasons.)\n\nSizeScale(\n  xs: Float,\n  sm: Float,\n  md: Float,\n  lg: Float,\n  xl: Float,\n  xl_2: Float,\n  xl_3: Float,\n)\n\n\nSynonyms:\nlustre/ui/theme.SizeScale\nlustre/ui/theme SizeScale","url":"lustre/ui/theme.html#SizeScale"},{"doc":"lustre/ui/theme","title":"SizeVariables","content":"pub type SizeVariables {\n  SizeVariables(\n    xs: String,\n    sm: String,\n    md: String,\n    lg: String,\n    xl: String,\n    xl_2: String,\n    xl_3: String,\n  )\n}\n\n\nSizeVariables(\n  xs: String,\n  sm: String,\n  md: String,\n  lg: String,\n  xl: String,\n  xl_2: String,\n  xl_3: String,\n)\n\n\nSynonyms:\nlustre/ui/theme.SizeVariables\nlustre/ui/theme SizeVariables","url":"lustre/ui/theme.html#SizeVariables"},{"doc":"lustre/ui/theme","title":"Theme","content":"pub opaque type Theme\n A Lustre UI theme dictates the visual style of an application. It defines a\n number of design tokens to set common styles such as fonts, colours, and\n spacing.\n\n These design tokens can be used in your own components and styles to ensure\n a consistent look and feel in your application. For example you might want\n to colour a span of text with the primary colour of your theme by doing:\n\n \n html.span([attribute.style([#(&quot;color&quot;, theme.primary.solid_text)])], [\n   html.text(&quot;Hello, world!&quot;)\n ])\n \n\n You can construct a blank theme using the [`new`](#new) function, or start\n with a sensible default using the Lustre UI&#39;s [`default`](#default) theme.\n\n A theme can be further customised using the various `with_` functions, such\n as [`with_primary_scale`](#with_primary_scale), [`with_space`](#with_space),\n or [`with_dark_palette`](#with_dark_palette).\n\n\nSynonyms:\nlustre/ui/theme.Theme\nlustre/ui/theme Theme","url":"lustre/ui/theme.html#Theme"},{"doc":"lustre/ui/theme","title":"base","content":"pub const base: ColourScaleVariables\n A record that lets you access theme tokens for the base colour scale of the\n theme. The base colour scale is typically a greyscale or neutral scale.\n\nSynonyms:\nlustre/ui/theme.base\nlustre/ui/theme base","url":"lustre/ui/theme.html#base"},{"doc":"lustre/ui/theme","title":"colour","content":"pub const colour: ColourScaleVariables\n A record that lets you access theme tokens related to the current colour\n scale. The current colour scale is _context-dependent_ and depends on the\n CSS cascade: if a parent element higher up the tree sets the `data-scale`\n attribute or applies a class like `.lustre-ui-primary`, these tokens will\n match the colours from that scale.\n\nSynonyms:\nlustre/ui/theme.colour\nlustre/ui/theme colour","url":"lustre/ui/theme.html#colour"},{"doc":"lustre/ui/theme","title":"danger","content":"pub const danger: ColourScaleVariables\n A record that lets you access theme tokens for the danger colour scale of\n the theme. The danger colour scale is typically used in parts of your UI\n that indicate critical information or notify users that an action will have\n destructive consequences.\n\nSynonyms:\nlustre/ui/theme.danger\nlustre/ui/theme danger","url":"lustre/ui/theme.html#danger"},{"doc":"lustre/ui/theme","title":"font","content":"pub const font: FontVariables\n A record that lets you access theme tokens related to fonts. You could use\n these when styling elements yourself either with the `style` attribute or\n with [sketch](https://hexdocs.pm/sketch/), a CSS-in-Gleam library.\n\nSynonyms:\nlustre/ui/theme.font\nlustre/ui/theme font","url":"lustre/ui/theme.html#font"},{"doc":"lustre/ui/theme","title":"primary","content":"pub const primary: ColourScaleVariables\n A record that lets you access theme tokens for the primary colour scale of\n the theme. The primary colour scale is typically your brand colour.\n\nSynonyms:\nlustre/ui/theme.primary\nlustre/ui/theme primary","url":"lustre/ui/theme.html#primary"},{"doc":"lustre/ui/theme","title":"radius","content":"pub const radius: SizeVariables\n A record that lets you access theme tokens related to border radius. You\n could use these when styling elements yourself either with the `style`\n attribute or with [sketch](https://hexdocs.pm/sketch/), a CSS-in-Gleam\n library.\n\n These border radius variables are typically used to round the corners of an\n element.\n\nSynonyms:\nlustre/ui/theme.radius\nlustre/ui/theme radius","url":"lustre/ui/theme.html#radius"},{"doc":"lustre/ui/theme","title":"secondary","content":"pub const secondary: ColourScaleVariables\n A record that lets you access theme tokens for the secondary colour scale of\n the theme. The secondary colour scale is typically used as an accent or\n compliment to your primary colour.\n\nSynonyms:\nlustre/ui/theme.secondary\nlustre/ui/theme secondary","url":"lustre/ui/theme.html#secondary"},{"doc":"lustre/ui/theme","title":"spacing","content":"pub const spacing: SizeVariables\n A record that lets you access theme tokens related to spacing. You could use\n these when styling elements yourself either with the `style` attribute or\n with [sketch](https://hexdocs.pm/sketch/), a CSS-in-Gleam library.\n\n These spacing variables are typically used to add margin or a gap between\n elements in a layout, or to add padding to an element.\n\nSynonyms:\nlustre/ui/theme.spacing\nlustre/ui/theme spacing","url":"lustre/ui/theme.html#spacing"},{"doc":"lustre/ui/theme","title":"success","content":"pub const success: ColourScaleVariables\n A record that lets you access theme tokens for the success colour scale of\n the theme. The success colour scale is typically used in parts of your UI\n that indicate an action was successful.\n\nSynonyms:\nlustre/ui/theme.success\nlustre/ui/theme success","url":"lustre/ui/theme.html#success"},{"doc":"lustre/ui/theme","title":"warning","content":"pub const warning: ColourScaleVariables\n A record that lets you access theme tokens for the warning colour scale of\n the theme. The warning colour scale is typically used in parts of your UI\n to indicate non-critical information or notify users that an action may have\n non-destructive consequences.\n\nSynonyms:\nlustre/ui/theme.warning\nlustre/ui/theme warning","url":"lustre/ui/theme.html#warning"},{"doc":"lustre/ui/theme","title":"augmented_forth","content":"pub fn augmented_forth(base: Float) -&gt; SizeScale\n\nSynonyms:\nlustre/ui/theme.augmented_forth\nlustre/ui/theme augmented_forth","url":"lustre/ui/theme.html#augmented_forth"},{"doc":"lustre/ui/theme","title":"decoder","content":"pub fn decoder(json: Dynamic) -&gt; Result(Theme, List(DecodeError))\n\nSynonyms:\nlustre/ui/theme.decoder\nlustre/ui/theme decoder","url":"lustre/ui/theme.html#decoder"},{"doc":"lustre/ui/theme","title":"default","content":"pub fn default() -&gt; Theme\n Construct Lustre UI&#39;s default theme. This theme defines some sensible defaults\n for fonts, radius, and space, and provides both a light and dark mode palette.\n The light mode palette applies globally, and the dark mode palette applies if\n the user has enabled dark mode in their operating system or browser, or if you\n manually set the `&quot;dark&quot;` class on an element.\n\n You can customise the theme further using the various `with_` functions, such\n as [`with_primary_scale`](#with_primary_scale), [`with_space`](#with_space),\n [`with_dark_palette`](#with_dark_palette), etc.\n\nSynonyms:\nlustre/ui/theme.default\nlustre/ui/theme default","url":"lustre/ui/theme.html#default"},{"doc":"lustre/ui/theme","title":"encode","content":"pub fn encode(theme: Theme) -&gt; Json\n\nSynonyms:\nlustre/ui/theme.encode\nlustre/ui/theme encode","url":"lustre/ui/theme.html#encode"},{"doc":"lustre/ui/theme","title":"golden_ratio","content":"pub fn golden_ratio(base: Float) -&gt; SizeScale\n\nSynonyms:\nlustre/ui/theme.golden_ratio\nlustre/ui/theme golden_ratio","url":"lustre/ui/theme.html#golden_ratio"},{"doc":"lustre/ui/theme","title":"inject","content":"pub fn inject(\n  theme: Theme,\n  view: fn() -&gt; Element(a),\n) -&gt; Element(a)\n\n\nSynonyms:\nlustre/ui/theme.inject\nlustre/ui/theme inject","url":"lustre/ui/theme.html#inject"},{"doc":"lustre/ui/theme","title":"new","content":"pub fn new(id: String, selector: Selector) -&gt; Theme\n Construct an empty theme with the given id and selector. The theme will have\n a sensible default configuration for fonts, radius, and space, but the colour\n palette will be empty.\n\n You can customise the theme further using the various `with_` functions, such\n as [`with_primary_scale`](#with_primary_scale), [`with_space`](#with_space),\n [`with_dark_palette`](#with_dark_palette), etc.\n\nSynonyms:\nlustre/ui/theme.new\nlustre/ui/theme new","url":"lustre/ui/theme.html#new"},{"doc":"lustre/ui/theme","title":"perfect_fifth","content":"pub fn perfect_fifth(base: Float) -&gt; SizeScale\n\nSynonyms:\nlustre/ui/theme.perfect_fifth\nlustre/ui/theme perfect_fifth","url":"lustre/ui/theme.html#perfect_fifth"},{"doc":"lustre/ui/theme","title":"perfect_fourth","content":"pub fn perfect_fourth(base: Float) -&gt; SizeScale\n\nSynonyms:\nlustre/ui/theme.perfect_fourth\nlustre/ui/theme perfect_fourth","url":"lustre/ui/theme.html#perfect_fourth"},{"doc":"lustre/ui/theme","title":"to_style","content":"pub fn to_style(theme theme: Theme) -&gt; Element(a)\n Render a `Theme` as a `&lt;style&gt;` tag.\n\nSynonyms:\nlustre/ui/theme.to_style\nlustre/ui/theme to_style","url":"lustre/ui/theme.html#to_style"},{"doc":"lustre/ui/theme","title":"use_base","content":"pub fn use_base() -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/theme.use_base\nlustre/ui/theme use_base","url":"lustre/ui/theme.html#use_base"},{"doc":"lustre/ui/theme","title":"use_danger","content":"pub fn use_danger() -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/theme.use_danger\nlustre/ui/theme use_danger","url":"lustre/ui/theme.html#use_danger"},{"doc":"lustre/ui/theme","title":"use_primary","content":"pub fn use_primary() -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/theme.use_primary\nlustre/ui/theme use_primary","url":"lustre/ui/theme.html#use_primary"},{"doc":"lustre/ui/theme","title":"use_secondary","content":"pub fn use_secondary() -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/theme.use_secondary\nlustre/ui/theme use_secondary","url":"lustre/ui/theme.html#use_secondary"},{"doc":"lustre/ui/theme","title":"use_success","content":"pub fn use_success() -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/theme.use_success\nlustre/ui/theme use_success","url":"lustre/ui/theme.html#use_success"},{"doc":"lustre/ui/theme","title":"use_warning","content":"pub fn use_warning() -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/theme.use_warning\nlustre/ui/theme use_warning","url":"lustre/ui/theme.html#use_warning"},{"doc":"lustre/ui/theme","title":"with_base_scale","content":"pub fn with_base_scale(theme: Theme, scale: ColourScale) -&gt; Theme\n Replace the base colour scale of a theme&#39;s default colour palette with a new\n one.\n\nSynonyms:\nlustre/ui/theme.with_base_scale\nlustre/ui/theme with_base_scale","url":"lustre/ui/theme.html#with_base_scale"},{"doc":"lustre/ui/theme","title":"with_body_font","content":"pub fn with_body_font(theme: Theme, font: String) -&gt; Theme\n Replace the body font in a theme with a new value. The provided string\n should match the kind of font stack you might write in a CSS `font-family`\n rule.\n\n The body font is typically used throughout an interface as the primary font\n in all copy.\n\nSynonyms:\nlustre/ui/theme.with_body_font\nlustre/ui/theme with_body_font","url":"lustre/ui/theme.html#with_body_font"},{"doc":"lustre/ui/theme","title":"with_code_font","content":"pub fn with_code_font(theme: Theme, font: String) -&gt; Theme\n Replace the code font in a theme with a new value. The provided string\n should match the kind of font stack you might write in a CSS `font-family`\n rule.\n\n The code font is typically a monospaced font used for code snippets in prose,\n but may also be used as an alternative heading font or otherwise used as an\n alternative to the body font.\n\nSynonyms:\nlustre/ui/theme.with_code_font\nlustre/ui/theme with_code_font","url":"lustre/ui/theme.html#with_code_font"},{"doc":"lustre/ui/theme","title":"with_danger_scale","content":"pub fn with_danger_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the danger colour scale of a theme&#39;s default colour palette with a\n new one.\n\nSynonyms:\nlustre/ui/theme.with_danger_scale\nlustre/ui/theme with_danger_scale","url":"lustre/ui/theme.html#with_danger_scale"},{"doc":"lustre/ui/theme","title":"with_dark_base_scale","content":"pub fn with_dark_base_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the base colour scale of a theme&#39;s dark mode colour palette with a\n new one. If the theme does not have a dark mode registered, calling this\n function will do nothing.\n\n All of the colour scales in the [colours module](./colour.html) have\n corresponding dark mode variants\n\nSynonyms:\nlustre/ui/theme.with_dark_base_scale\nlustre/ui/theme with_dark_base_scale","url":"lustre/ui/theme.html#with_dark_base_scale"},{"doc":"lustre/ui/theme","title":"with_dark_danger_scale","content":"pub fn with_dark_danger_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the danger colour scale of a theme&#39;s dark mode colour palette with\n a new one. If the theme does not have a dark mode registered, calling this\n function will do nothing.\n\n All of the colour scales in the [colours module](./colour.html) have\n corresponding dark mode variants\n\nSynonyms:\nlustre/ui/theme.with_dark_danger_scale\nlustre/ui/theme with_dark_danger_scale","url":"lustre/ui/theme.html#with_dark_danger_scale"},{"doc":"lustre/ui/theme","title":"with_dark_palette","content":"pub fn with_dark_palette(\n  theme: Theme,\n  selector: Selector,\n  palette: ColourPalette,\n) -&gt; Theme\n Add a new dark mode colour palette or replace a theme&#39;s existing palette with\n a new one.\n\n The [`Selector`](#Selector) used to apply a theme will switch over to the\n dark mode colour palette if a user has indicated through their OS settings\n that they prefer a dark colour scheme. Additionally, a selector _other than\n `Global`_ can be used to enable dark mode for a specific part of the UI.\n\n All of the colour scales in the [colours module](./colour.html) have\n corresponding dark mode variants\n\nSynonyms:\nlustre/ui/theme.with_dark_palette\nlustre/ui/theme with_dark_palette","url":"lustre/ui/theme.html#with_dark_palette"},{"doc":"lustre/ui/theme","title":"with_dark_primary_scale","content":"pub fn with_dark_primary_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the primary colour scale of a theme&#39;s dark mode colour palette with\n a new one. If the theme does not have a dark mode registered, calling this\n function will do nothing.\n\n All of the colour scales in the [colours module](./colour.html) have\n corresponding dark mode variants\n\nSynonyms:\nlustre/ui/theme.with_dark_primary_scale\nlustre/ui/theme with_dark_primary_scale","url":"lustre/ui/theme.html#with_dark_primary_scale"},{"doc":"lustre/ui/theme","title":"with_dark_secondary_scale","content":"pub fn with_dark_secondary_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the secondary colour scale of a theme&#39;s dark mode colour palette with\n a new one. If the theme does not have a dark mode registered, calling this\n function will do nothing.\n\n All of the colour scales in the [colours module](./colour.html) have\n corresponding dark mode variants\n\nSynonyms:\nlustre/ui/theme.with_dark_secondary_scale\nlustre/ui/theme with_dark_secondary_scale","url":"lustre/ui/theme.html#with_dark_secondary_scale"},{"doc":"lustre/ui/theme","title":"with_dark_success_scale","content":"pub fn with_dark_success_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the success colour scale of a theme&#39;s dark mode colour palette with\n a new one. If the theme does not have a dark mode registered, calling this\n function will do nothing.\n\n All of the colour scales in the [colours module](./colour.html) have\n corresponding dark mode variants\n\nSynonyms:\nlustre/ui/theme.with_dark_success_scale\nlustre/ui/theme with_dark_success_scale","url":"lustre/ui/theme.html#with_dark_success_scale"},{"doc":"lustre/ui/theme","title":"with_dark_warning_scale","content":"pub fn with_dark_warning_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the warning colour scale of a theme&#39;s dark mode colour palette with\n a new one. If the theme does not have a dark mode registered, calling this\n function will do nothing.\n\n All of the colour scales in the [colours module](./colour.html) have\n corresponding dark mode variants\n\nSynonyms:\nlustre/ui/theme.with_dark_warning_scale\nlustre/ui/theme with_dark_warning_scale","url":"lustre/ui/theme.html#with_dark_warning_scale"},{"doc":"lustre/ui/theme","title":"with_fonts","content":"pub fn with_fonts(theme: Theme, fonts: Fonts) -&gt; Theme\n Set all of the fonts in a theme at once.\n\nSynonyms:\nlustre/ui/theme.with_fonts\nlustre/ui/theme with_fonts","url":"lustre/ui/theme.html#with_fonts"},{"doc":"lustre/ui/theme","title":"with_heading_font","content":"pub fn with_heading_font(theme: Theme, font: String) -&gt; Theme\n Replace the heading font in a theme with a new value. The provided string\n should match the kind of font stack you might write in a CSS `font-family`\n rule.\n\n The heading font is typically used in the title and section headings in prose,\n but can also be used in heroes and other prominent sections.\n\nSynonyms:\nlustre/ui/theme.with_heading_font\nlustre/ui/theme with_heading_font","url":"lustre/ui/theme.html#with_heading_font"},{"doc":"lustre/ui/theme","title":"with_light_palette","content":"pub fn with_light_palette(\n  theme: Theme,\n  light: ColourPalette,\n) -&gt; Theme\n Set a theme&#39;s default colour palette with a new one.\n\nSynonyms:\nlustre/ui/theme.with_light_palette\nlustre/ui/theme with_light_palette","url":"lustre/ui/theme.html#with_light_palette"},{"doc":"lustre/ui/theme","title":"with_primary_scale","content":"pub fn with_primary_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the primary colour scale of a theme&#39;s default colour palette with a\n new one.\n\nSynonyms:\nlustre/ui/theme.with_primary_scale\nlustre/ui/theme with_primary_scale","url":"lustre/ui/theme.html#with_primary_scale"},{"doc":"lustre/ui/theme","title":"with_radius","content":"pub fn with_radius(theme: Theme, scale: SizeScale) -&gt; Theme\n Set the size scale used for border radius in a theme. The radius scale determines\n how rounded the elements in your application UI appear.\n\nSynonyms:\nlustre/ui/theme.with_radius\nlustre/ui/theme with_radius","url":"lustre/ui/theme.html#with_radius"},{"doc":"lustre/ui/theme","title":"with_secondary_scale","content":"pub fn with_secondary_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the secondary colour scale of a theme&#39;s default colour palette with a\n new one.\n\nSynonyms:\nlustre/ui/theme.with_secondary_scale\nlustre/ui/theme with_secondary_scale","url":"lustre/ui/theme.html#with_secondary_scale"},{"doc":"lustre/ui/theme","title":"with_space","content":"pub fn with_space(theme: Theme, scale: SizeScale) -&gt; Theme\n Set the space scale in a theme. The space scale determines how much visual\n space there is in your UI. It is used both within elements as padding and\n between elements to separate them in a collection.\n\nSynonyms:\nlustre/ui/theme.with_space\nlustre/ui/theme with_space","url":"lustre/ui/theme.html#with_space"},{"doc":"lustre/ui/theme","title":"with_success_scale","content":"pub fn with_success_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the success colour scale of a theme&#39;s default colour palette with a\n new one.\n\nSynonyms:\nlustre/ui/theme.with_success_scale\nlustre/ui/theme with_success_scale","url":"lustre/ui/theme.html#with_success_scale"},{"doc":"lustre/ui/theme","title":"with_warning_scale","content":"pub fn with_warning_scale(\n  theme: Theme,\n  scale: ColourScale,\n) -&gt; Theme\n Replace the warning colour scale of a theme&#39;s default colour palette with a\n new one.\n\nSynonyms:\nlustre/ui/theme.with_warning_scale\nlustre/ui/theme with_warning_scale","url":"lustre/ui/theme.html#with_warning_scale"},{"doc":"lustre/ui/theme","title":"lustre/ui/theme","content":"","url":"lustre/ui/theme.html"},{"doc":"lustre/ui/alert","title":"alert","content":"pub fn alert(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n The `alert` element, sometimes called a &quot;callout&quot;, is used to direct the\n user&#39;s attention away from the main content on the page and to some important\n information or context.\n\n Common uses for the `alert` element include:\n\n - Toasts that render unobtrusely over the main content, often in the corner\n   of the page.\n\n - Callouts in documentation to provide additional or crucial information.\n\n The colour or type of the alert can be changed by using one of the following\n attributes: [`primary`](#primary), [`secondary`](#secondary), [`warning`](#warning),\n [`danger`](#danger), or [`successs`](#success).\n\n This will render a `&lt;div&gt;` tag in your markup. If you would like to render a\n different element, use [`of`](#of) instead.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/alert.alert\nlustre/ui/alert alert","url":"lustre/ui/alert.html#alert"},{"doc":"lustre/ui/alert","title":"background","content":"pub fn background(value: String) -&gt; Attribute(a)\n By default, the `alert` element uses an appropriate background colour based\n on your theme configuration and chosen colour palette. You can use this\n function in conjunction with the other attributes in this module to manually\n override this colour.\n\n This can be any CSS value that can be used in place of a colour, for example:\n\n - `background(&quot;red&quot;)`\n - `background(&quot;#ffaff3&quot;)`\n - `background(&quot;var(--lustre-ui-primary-solid)&quot;)`\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.background\nlustre/ui/alert background","url":"lustre/ui/alert.html#background"},{"doc":"lustre/ui/alert","title":"border","content":"pub fn border(value: String) -&gt; Attribute(a)\n By default, the `alert` element uses an appropriate border colour based on\n your theme configuration and chosen colour palette. You can use this function\n in conjunction with the other attributes in this module to manually override\n this colour.\n\n This can be any CSS value that can be used in place of a colour, for example:\n\n - `border(blue)`\n - `border(#ffaff3)`\n - `border(&quot;var(--lustre-ui-accent-strong)&quot;)\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.border\nlustre/ui/alert border","url":"lustre/ui/alert.html#border"},{"doc":"lustre/ui/alert","title":"content","content":"pub fn content(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/alert.content\nlustre/ui/alert content","url":"lustre/ui/alert.html#content"},{"doc":"lustre/ui/alert","title":"danger","content":"pub fn danger() -&gt; Attribute(a)\n Adjust the alert&#39;s colour to match your theme&#39;s danger colour palette. The\n danger palette is typically used to highlight critical information before a\n user performs an action or to alert the user of an important error.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/alert.danger\nlustre/ui/alert danger","url":"lustre/ui/alert.html#danger"},{"doc":"lustre/ui/alert","title":"indicator","content":"pub fn indicator(icon: Element(a)) -&gt; Element(a)\n An indicator that appears in the top-left of an alert. Indicators have a fixed\n size that can be controlled by setting the [`indicator_size`](#indicator_size)\n value.\n\n Indicators are typically icons or other visual cues.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/alert.indicator\nlustre/ui/alert indicator","url":"lustre/ui/alert.html#indicator"},{"doc":"lustre/ui/alert","title":"indicator_size","content":"pub fn indicator_size(value: String) -&gt; Attribute(a)\n By default, the `alert` element sets the size of the [`indicator`](#indicator)\n to `16px`. You can use this function in conjunction with the other attributes\n in this module to manually override this size.\n\n This can be any CSS value that can be used in place of a size, for example:\n\n - `indicator_size(&quot;12px&quot;)`\n - `indicator_size(&quot;2rem&quot;)`\n - `indicator_size(&quot;var(--lustre-ui-size-lg)&quot;)\n\n **Note**: indicators are _always_ square.\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.indicator_size\nlustre/ui/alert indicator_size","url":"lustre/ui/alert.html#indicator_size"},{"doc":"lustre/ui/alert","title":"of","content":"pub fn of(\n  element: fn(List(Attribute(a)), List(Element(a))) -&gt; Element(a),\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n Render the given `element` function as an [`alert`](#alert). This applies\n the `&quot;alert&quot;` role to the element, and gives it the class `&quot;lustre-ui-alert`&quot;.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/alert.of\nlustre/ui/alert of","url":"lustre/ui/alert.html#of"},{"doc":"lustre/ui/alert","title":"padding","content":"pub fn padding(x x: String, y y: String) -&gt; Attribute(a)\n By default, the `alert` element sets appropriate horizontal and vertical\n padding based on your theme configuration. You can use this function in\n conjunction with the other attributes in this module to manually override this\n padding.\n\n This can be any CSS value that can be used in place of a size, for example:\n\n - `padding(&quot;16px&quot;, &quot;12px&quot;)`\n - `padding(&quot;1rem&quot;, &quot;1rem&quot;)`\n - `padding(&quot;var(--lustre-ui-space-md)&quot;, &quot;var(--lustre-ui-space-sm)&quot;)`\n\n This function is a shorthand for setting both [`padding_x`](#padding_x) and\n [`padding_y`](#padding_y).\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.padding\nlustre/ui/alert padding","url":"lustre/ui/alert.html#padding"},{"doc":"lustre/ui/alert","title":"padding_x","content":"pub fn padding_x(value: String) -&gt; Attribute(a)\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.padding_x\nlustre/ui/alert padding_x","url":"lustre/ui/alert.html#padding_x"},{"doc":"lustre/ui/alert","title":"padding_y","content":"pub fn padding_y(value: String) -&gt; Attribute(a)\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.padding_y\nlustre/ui/alert padding_y","url":"lustre/ui/alert.html#padding_y"},{"doc":"lustre/ui/alert","title":"pill","content":"pub fn pill() -&gt; Attribute(a)\n Set the alert&#39;s border radius to your theme&#39;s `xl` radius value. This is\n shorthand for `radius(theme.radius.xl)`.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/alert.pill\nlustre/ui/alert pill","url":"lustre/ui/alert.html#pill"},{"doc":"lustre/ui/alert","title":"primary","content":"pub fn primary() -&gt; Attribute(a)\n Adjust the alert&#39;s colour to match your theme&#39;s primary colour palette. The\n primary palette is typically used for alerts that provide additional information\n or context to an action.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/alert.primary\nlustre/ui/alert primary","url":"lustre/ui/alert.html#primary"},{"doc":"lustre/ui/alert","title":"radius","content":"pub fn radius(value: String) -&gt; Attribute(a)\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.radius\nlustre/ui/alert radius","url":"lustre/ui/alert.html#radius"},{"doc":"lustre/ui/alert","title":"round","content":"pub fn round() -&gt; Attribute(a)\n Set the alert&#39;s border radius to your theme&#39;s `md` radius value. This is\n shorthand for `radius(theme.radius.md)`.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/alert.round\nlustre/ui/alert round","url":"lustre/ui/alert.html#round"},{"doc":"lustre/ui/alert","title":"secondary","content":"pub fn secondary() -&gt; Attribute(a)\n Adjust the alert&#39;s colour to match your theme&#39;s secondary colour palette. The\n secondary palette is typically used for alerts that provide additional information\n or context to an action.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/alert.secondary\nlustre/ui/alert secondary","url":"lustre/ui/alert.html#secondary"},{"doc":"lustre/ui/alert","title":"square","content":"pub fn square() -&gt; Attribute(a)\n Remove the alert&#39;s border radius, regardless of your theme&#39;s configuration.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/alert.square\nlustre/ui/alert square","url":"lustre/ui/alert.html#square"},{"doc":"lustre/ui/alert","title":"success","content":"pub fn success() -&gt; Attribute(a)\n Adjust the alert&#39;s colour to match your theme&#39;s success colour palette. The\n success palette is typically used to inform the user that an action was\n successfully completed.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/alert.success\nlustre/ui/alert success","url":"lustre/ui/alert.html#success"},{"doc":"lustre/ui/alert","title":"text","content":"pub fn text(value: String) -&gt; Attribute(a)\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.text\nlustre/ui/alert text","url":"lustre/ui/alert.html#text"},{"doc":"lustre/ui/alert","title":"title","content":"pub fn title(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n The `title` element is a concise summary of the alert&#39;s content or message.\n The title&#39;s content is rendered with a medium font weight to distinguish it\n from any additional content, but this can be overriden by setting the\n [`title_weight`](#title_weight) value.\n\n **Note**: A title&#39;s content _must_ fit on one line; any overflow is clipped\n and ellipses are shown.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/alert.title\nlustre/ui/alert title","url":"lustre/ui/alert.html#title"},{"doc":"lustre/ui/alert","title":"title_margin","content":"pub fn title_margin(value: String) -&gt; Attribute(a)\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.title_margin\nlustre/ui/alert title_margin","url":"lustre/ui/alert.html#title_margin"},{"doc":"lustre/ui/alert","title":"title_weight","content":"pub fn title_weight(value: String) -&gt; Attribute(a)\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/alert.title_weight\nlustre/ui/alert title_weight","url":"lustre/ui/alert.html#title_weight"},{"doc":"lustre/ui/alert","title":"warning","content":"pub fn warning() -&gt; Attribute(a)\n Adjust the alert&#39;s colour to match your theme&#39;s warning colour palette. The\n warning palette is typically used to draw the user&#39;s attention to additional\n information before they perform an action or to alert the user of a non-fatal\n error.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/alert.warning\nlustre/ui/alert warning","url":"lustre/ui/alert.html#warning"},{"doc":"lustre/ui/alert","title":"lustre/ui/alert","content":" The [`alert`](#alert) element, sometimes called a &quot;callout&quot;, is used to direct\n the user&#39;s attention away from the main content on the page and to some important\n information or context.\n\n Common uses for the `alert` element include:\n\n - Toasts that render unobtrusely over the main content, often in the corner\n   of the page.\n\n - Callouts in documentation to provide additional or crucial information.\n\n ## Anatomy\n\n &lt;image src=&quot;/assets/diagram-alert.svg&quot; alt=&quot;&quot; width=&quot;100%&quot;&gt;\n\n An alert is made up of different parts:\n\n - The main [`alert`](#alert) container used to control the alert&#39;s styles\n   and layout. (**required**)\n\n - An [`indicator`](#indicator) used to provide users with a visual clue about\n   an alert&#39;s content. (_optional_)\n\n - A [`title`](#title) used to summarise the alert&#39;s content or message in a\n  few words. (_optional_)\n\n - A [`content`](#content) container for any additional content or information\n   to provide to the user. (_optional_)\n\n ## Recipes\n\n Below are some recipes that show common uses of the `alert` element.\n\n ### A title-only success alert:\n\n ```gleam\n import lustre/element/html\n import lustre/ui/alert.{alert}\n\n pub fn new_todo_added() {\n   alert([alert.success()], [\n     alert.title([], [html.text(&quot;New todo added to your list.&quot;)])\n   ])\n }\n ```\n\n ### An error alert with indicator and content:\n\n ```gleam\n import lustre/element/html\n import lustre/ui/alert.{alert}\n\n pub fn delete_todo_failed() {\n   alert([alert.danger()], [\n     alert.indicator([], [icon.exclamation_triangle([])]),\n     alert.title([], [html.text(&quot;Could not delete todo&quot;)]),\n     alert.content([], [\n       html.p([], [html.text(&quot;Check your internet connection and try again.&quot;)])\n     ])\n   ])\n }\n ```\n\n ## Customisation\n\n The colour or type of an alert can be set to the corresponding colour palette\n in your theme by using one of the following attributes:\n\n - [`primary`](#primary)\n - [`secondary`](#secondary)\n - [`warning`](#warning)\n - [`danger`](#danger)\n - [`success`](#success)\n\n The border radius of an alert can be controlled while still using your theme&#39;s\n configuration by using one of the following attributes:\n\n - [`square`](#square)\n - [`round`](#round)\n - [`pill`](#pill)\n\n It is possible to control some aspects of an alert&#39;s styling through CSS\n variables. You may want to do this in cases where you are integrating lustre/ui\n into an existing design system and you want the `alert` element to match\n elements outside of this package.\n\n The following CSS variables can set in your own stylesheets or by using the\n corresponding attribute functions in this module:\n\n - [`--background`](#background)\n - [`--border`](#border)\n - [`--indicator-size`](#indicator_size)\n - [`--padding-x`](#padding_x)\n - [`--padding-y`](#padding_y)\n - [`--radius`](#radius)\n - [`--text`](#text)\n - [`--title-margin`](#title_margin)\n - [`--title-weight`](#title_weight)\n","url":"lustre/ui/alert.html"},{"doc":"lustre/ui/badge","title":"background","content":"pub fn background(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.background\nlustre/ui/badge background","url":"lustre/ui/badge.html#background"},{"doc":"lustre/ui/badge","title":"background_hover","content":"pub fn background_hover(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.background_hover\nlustre/ui/badge background_hover","url":"lustre/ui/badge.html#background_hover"},{"doc":"lustre/ui/badge","title":"badge","content":"pub fn badge(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n The [`badge`] element, sometimes called a &quot;tag&quot;, is commonly used to attach\n a small piece of information to some other element. You might use a badge to\n indicate the type of a product in a grid, or to annotate something as &quot;new&quot;\n or &quot;updated&quot;.\n\n This will render a `&lt;small&gt;` tag in your markup. If you would like to render\n a different element, use [`of`](#of) instead.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/badge.badge\nlustre/ui/badge badge","url":"lustre/ui/badge.html#badge"},{"doc":"lustre/ui/badge","title":"border","content":"pub fn border(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.border\nlustre/ui/badge border","url":"lustre/ui/badge.html#border"},{"doc":"lustre/ui/badge","title":"border_hover","content":"pub fn border_hover(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.border_hover\nlustre/ui/badge border_hover","url":"lustre/ui/badge.html#border_hover"},{"doc":"lustre/ui/badge","title":"border_width","content":"pub fn border_width(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.border_width\nlustre/ui/badge border_width","url":"lustre/ui/badge.html#border_width"},{"doc":"lustre/ui/badge","title":"danger","content":"pub fn danger() -&gt; Attribute(a)\n Adjust the badge&#39;s colour to match your theme&#39;s danger colour palette.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.danger\nlustre/ui/badge danger","url":"lustre/ui/badge.html#danger"},{"doc":"lustre/ui/badge","title":"indicator","content":"pub fn indicator(attributes: List(Attribute(a))) -&gt; Element(a)\n Render a badge as a small circle with no content. This can be used as a\n status or online indicator.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/badge.indicator\nlustre/ui/badge indicator","url":"lustre/ui/badge.html#indicator"},{"doc":"lustre/ui/badge","title":"of","content":"pub fn of(\n  element: fn(List(Attribute(a)), List(Element(a))) -&gt; Element(a),\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n Render the given `element` function as a [`badge`](#badge). The default badge\n element is `html.small`; this function can be used to render an alternative\n element like `html.button` or `html.a`.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/badge.of\nlustre/ui/badge of","url":"lustre/ui/badge.html#of"},{"doc":"lustre/ui/badge","title":"outline","content":"pub fn outline() -&gt; Attribute(a)\n Render a badge with just an online.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.outline\nlustre/ui/badge outline","url":"lustre/ui/badge.html#outline"},{"doc":"lustre/ui/badge","title":"padding","content":"pub fn padding(x: String, y: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.padding\nlustre/ui/badge padding","url":"lustre/ui/badge.html#padding"},{"doc":"lustre/ui/badge","title":"padding_x","content":"pub fn padding_x(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.padding_x\nlustre/ui/badge padding_x","url":"lustre/ui/badge.html#padding_x"},{"doc":"lustre/ui/badge","title":"padding_y","content":"pub fn padding_y(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.padding_y\nlustre/ui/badge padding_y","url":"lustre/ui/badge.html#padding_y"},{"doc":"lustre/ui/badge","title":"pill","content":"pub fn pill() -&gt; Attribute(a)\n Set the badges&#39;s border radius to your theme&#39;s `xl` radius value. This is\n shorthand for `radius(theme.radius.xl)`.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.pill\nlustre/ui/badge pill","url":"lustre/ui/badge.html#pill"},{"doc":"lustre/ui/badge","title":"primary","content":"pub fn primary() -&gt; Attribute(a)\n Adjust the badge&#39;s colour to match your theme&#39;s primary colour palette.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.primary\nlustre/ui/badge primary","url":"lustre/ui/badge.html#primary"},{"doc":"lustre/ui/badge","title":"radius","content":"pub fn radius(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.radius\nlustre/ui/badge radius","url":"lustre/ui/badge.html#radius"},{"doc":"lustre/ui/badge","title":"round","content":"pub fn round() -&gt; Attribute(a)\n Set the badges&#39;s border radius to your theme&#39;s `md` radius value. This is\n shorthand for `radius(theme.radius.md)`.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.round\nlustre/ui/badge round","url":"lustre/ui/badge.html#round"},{"doc":"lustre/ui/badge","title":"secondary","content":"pub fn secondary() -&gt; Attribute(a)\n Adjust the badge&#39;s colour to match your theme&#39;s secondary colour palette.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.secondary\nlustre/ui/badge secondary","url":"lustre/ui/badge.html#secondary"},{"doc":"lustre/ui/badge","title":"soft","content":"pub fn soft() -&gt; Attribute(a)\n Render a badge with a softer background colour.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.soft\nlustre/ui/badge soft","url":"lustre/ui/badge.html#soft"},{"doc":"lustre/ui/badge","title":"solid","content":"pub fn solid() -&gt; Attribute(a)\n Render a badge with a bold solid background colour.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.solid\nlustre/ui/badge solid","url":"lustre/ui/badge.html#solid"},{"doc":"lustre/ui/badge","title":"square","content":"pub fn square() -&gt; Attribute(a)\n Remove the badge&#39;s border radius, regardless of your theme configuration. This\n is shorthand for `radius(&quot;0&quot;)`.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.square\nlustre/ui/badge square","url":"lustre/ui/badge.html#square"},{"doc":"lustre/ui/badge","title":"success","content":"pub fn success() -&gt; Attribute(a)\n Adjust the badge&#39;s colour to match your theme&#39;s success colour palette.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.success\nlustre/ui/badge success","url":"lustre/ui/badge.html#success"},{"doc":"lustre/ui/badge","title":"text","content":"pub fn text(value: String) -&gt; Attribute(a)\n\n\n &lt;!-- @css-variable --&gt;\n\nSynonyms:\nlustre/ui/badge.text\nlustre/ui/badge text","url":"lustre/ui/badge.html#text"},{"doc":"lustre/ui/badge","title":"warning","content":"pub fn warning() -&gt; Attribute(a)\n Adjust the badge&#39;s colour to match your theme&#39;s warning colour palette.\n\n &lt;!-- @attribute --&gt;\n\nSynonyms:\nlustre/ui/badge.warning\nlustre/ui/badge warning","url":"lustre/ui/badge.html#warning"},{"doc":"lustre/ui/badge","title":"lustre/ui/badge","content":" The [`badge`] element, sometimes called a &quot;tag&quot;, is commonly used to attach\n a small piece of information to some other element. You might use a badge to\n indicate the type of a product in a grid, or to annotate something as &quot;new&quot;\n or &quot;updated&quot;.\n\n ## Anatomy\n\n &lt;image src=&quot;/assets/diagram-badge.svg&quot; alt=&quot;&quot; width=&quot;100%&quot;&gt;\n\n A badge is made up of only one part:\n\n - The main [`badge`](#badge) container used to apply the badge styles. Often\n   the only direct child of the container is the text used for the badges\n   label, but it may also be an icon.\n\n   When empty, the [`badge`](#badge) container becomes a circle and can be\n   used as a status indicator.\n\n ## Recipes\n\n Below are some recipes that show common uses of the `badge` element.\n\n ### An online avator indicator\n\n _This example uses Tailwind CSS for some additional styling._\n\n ```gleam\n import lustre/attribute\n import lustre/element/html\n import lustre/ui/badge.{badge}\n\n pub fn online_avatar(src) {\n   html.div([attribute.class(&quot;inline-block relative&quot;)], [\n     html.img([attribute.class(&quot;size-6 rounded-full&quot;), attribute.src(src)]),\n     badge([\n       badge.background(&quot;green&quot;),\n       badge.solid(),\n       attribute.class(&quot;absolute top-0 right-0&quot;),\n       attribute.title(&quot;online&quot;)],\n       []\n     )\n   ])\n }\n ```\n\n ## Customisation\n\n It is possible to control many aspects of a badge&#39;s styling through CSS\n variables. You may want to do this in cases where you are integrating lustre/ui\n into an existing design system and you want the `badge` element to match\n elements outside of this package, or to apply custom colours outside of your\n theme.\n\n The following CSS variables can be set in your own stylesheets or by using\n the corresponding attribute functions in this module:\n\n [`--background`](#--background)\n [`--background-hover`](#--background_hover)\n [`--border`](#--border)\n [`--border-hover`](#--border_hover)\n [`--padding-x`](#--padding_x)\n [`--padding-y`](#--padding_y)\n [`--radius`](#--radius)\n [`--text`](#--text)\n","url":"lustre/ui/badge.html"},{"doc":"lustre/ui/breadcrumb","title":"breadcrumb","content":"pub fn breadcrumb(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n The `breadcrumb` element is used to contain an ordered sequence of navigation\n items that helps a user understand their current location in a hierarchical\n navigation structure.\n\n The `breadcrumb` container creates a semantic `&lt;nav&gt;` element with its\n children wrapped in an ordered list (`&lt;ol&gt;`).\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/breadcrumb.breadcrumb\nlustre/ui/breadcrumb breadcrumb","url":"lustre/ui/breadcrumb.html#breadcrumb"},{"doc":"lustre/ui/breadcrumb","title":"chevron","content":"pub fn chevron(attributes: List(Attribute(a))) -&gt; Element(a)\n A [`separator](#separator) that renders a chevron icon.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/breadcrumb.chevron\nlustre/ui/breadcrumb chevron","url":"lustre/ui/breadcrumb.html#chevron"},{"doc":"lustre/ui/breadcrumb","title":"current","content":"pub fn current(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n Represents the current page or the user&#39;s current location in the hierarchy.\n This element should never be a link, and instead would typically include just\n a text label or icon.\n\n For correct accessibility and semantics, yhis element has the following ARIA\n attributes:\n\n - `role=&quot;link&quot;`\n - `aria-disabled=&quot;true&quot;`\n - `aria-current=&quot;page&quot;`\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/breadcrumb.current\nlustre/ui/breadcrumb current","url":"lustre/ui/breadcrumb.html#current"},{"doc":"lustre/ui/breadcrumb","title":"dot","content":"pub fn dot(attributes: List(Attribute(a))) -&gt; Element(a)\n A [`separator](#separator) that renders a filled dot icon.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/breadcrumb.dot\nlustre/ui/breadcrumb dot","url":"lustre/ui/breadcrumb.html#dot"},{"doc":"lustre/ui/breadcrumb","title":"ellipsis","content":"pub fn ellipsis(\n  attributes: List(Attribute(a)),\n  label: String,\n) -&gt; Element(a)\n The `ellipsis` element is used to indicate where multiple navigation items\n have been collapsed to preserve space.\n\n The single child of the `ellipsis` element is a text label that is read out\n by screen readers to indicate that the items have been collapsed.\n\n For correct accessibility and semantics, this element has the following ARIA\n attributes:\n\n - `role=&quot;presentation&quot;`\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/breadcrumb.ellipsis\nlustre/ui/breadcrumb ellipsis","url":"lustre/ui/breadcrumb.html#ellipsis"},{"doc":"lustre/ui/breadcrumb","title":"item","content":"pub fn item(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n Represents a single item in a breadcrumb navigation structure. Typically\n you would render an `&lt;a&gt;` element inside an `item` to create a clickable\n link.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/breadcrumb.item\nlustre/ui/breadcrumb item","url":"lustre/ui/breadcrumb.html#item"},{"doc":"lustre/ui/breadcrumb","title":"separator","content":"pub fn separator(\n  attributes: List(Attribute(a)),\n  content: Element(a),\n) -&gt; Element(a)\n The `separator` element is used to visually separate navigation items in a\n breadcrumb. It is typically a small icon or character like a [`chevron`](#chevron)\n or [`forward slash`](#slash) that helps users visualise the hierarchy.\n\n For correct accessibility and semantics, this element has the following ARIA\n attributes:\n\n - `role=&quot;presentation&quot;`\n - `aria-hidden=&quot;true&quot;`\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/breadcrumb.separator\nlustre/ui/breadcrumb separator","url":"lustre/ui/breadcrumb.html#separator"},{"doc":"lustre/ui/breadcrumb","title":"slash","content":"pub fn slash(attributes: List(Attribute(a))) -&gt; Element(a)\n A [`separator](#separator) that renders a forward slash icon.\n\n &lt;!-- @element --&gt;\n\nSynonyms:\nlustre/ui/breadcrumb.slash\nlustre/ui/breadcrumb slash","url":"lustre/ui/breadcrumb.html#slash"},{"doc":"lustre/ui/breadcrumb","title":"lustre/ui/breadcrumb","content":" The [`breadcrumb`](#breadcrumb) element helps users understand their current\n location in a hierarchical navigation structure and provides an easy way to\n navigate back up to parent pages.\n\n Common uses for breadcrumbs include:\n\n - Showing the user&#39;s current location within a nested folder structure.\n\n - Enabling quick navigation between different levels of a website&#39;s hierarchy.\n\n\n ## Anatomy\n\n &lt;image src=&quot;/assets/diagram-breadcrumb.svg&quot; alt=&quot;&quot; width=&quot;100%&quot;&gt;\n\n A breadcrumb is made up of different parts:\n\n - The main [`breadcrumb`](#breadcrumb) container used to organize the navigation\n   items. (**required**)\n\n - One or more [`item`](#item) elements representing pages in the navigation\n   hierarchy. (**required**)\n\n - A presentational [`separator`](#separator) element typically plased between\n   each navigation item. (_optional_)\n\n - An [`ellipsis`](#ellipsis) element to indicate where multiple navigation\n   items have been collapsed. (_optional_)\n\n - A [`current`](#current) element indicating the current page or the user&#39;s\n   current location in the hierarchy. (_optional_)\n\n ## Recipes\n\n Below are some recipes that show common uses of the `breadcrumb` element.\n\n ### Basic breadcrumb navigation:\n\n ```gleam\n import lustre/attribute\n import lustre/element/html\n import lustre/ui/breadcrumb.{breadcrumb}\n\n pub fn nav() {\n   breadcrumb([], [\n     breadcrumb.item([], [\n       html.a([attribute.href(&quot;/&quot;)], [html.text(&quot;Home&quot;)]),\n     ]),\n     breadcrumb.chevron([]),\n     breadcrumb.item([], [\n       html.a([attribute.href(&quot;/documents&quot;)], [html.text(&quot;Documents&quot;)]),\n     ]),\n     breadcrumb.chevron([]),\n     breadcrumb.current([], [html.text(&quot;My Document&quot;)])\n   ])\n }\n ```\n\n ### Breadcrumb with collapsed items:\n\n ```gleam\n import lustre/element/html\n import lustre/ui/breadcrumb.{breadcrumb}\n\n pub fn nav() {\n   breadcrumb([], [\n     breadcrumb.item([], [\n       html.a([attribute.href(&quot;/&quot;)], [html.text(&quot;Home&quot;)]),\n     ]),\n     breadcrumb.slash([]),\n     breadcrumb.ellipsis([], &quot;Collapsed navigation items&quot;),\n     breadcrumb.slash([]),\n     breadcrumb.current([], [html.text(&quot;My Document&quot;)])\n   ])\n }\n ```\n\n ## Customisation\n\n It is possible to control some aspects of a breadcrumb&#39;s styling through CSS\n variables. You may want to do this in cases where you are integrating lustre/ui\n into an existing design system and you want the `breadcrumb` element to match\n elements outside of this package.\n\n The following CSS variables can be set in your own stylesheets:\n\n - (`--gap`)[#gap]\n - (`--text`)[#text]:\n - (`--text-hover`)[#text_hover]\n","url":"lustre/ui/breadcrumb.html"},{"doc":"lustre/ui/button","title":"background","content":"pub fn background(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.background\nlustre/ui/button background","url":"lustre/ui/button.html#background"},{"doc":"lustre/ui/button","title":"background_hover","content":"pub fn background_hover(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.background_hover\nlustre/ui/button background_hover","url":"lustre/ui/button.html#background_hover"},{"doc":"lustre/ui/button","title":"badge","content":"pub fn badge(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n Renders a small badge inside a button. Badges are used to display additional\n information such as a [keyboard shortcut](#shortcut_badge) or a [count](#count)\n of items.\n\nSynonyms:\nlustre/ui/button.badge\nlustre/ui/button badge","url":"lustre/ui/button.html#badge"},{"doc":"lustre/ui/button","title":"border","content":"pub fn border(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.border\nlustre/ui/button border","url":"lustre/ui/button.html#border"},{"doc":"lustre/ui/button","title":"border_hover","content":"pub fn border_hover(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.border_hover\nlustre/ui/button border_hover","url":"lustre/ui/button.html#border_hover"},{"doc":"lustre/ui/button","title":"border_width","content":"pub fn border_width(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.border_width\nlustre/ui/button border_width","url":"lustre/ui/button.html#border_width"},{"doc":"lustre/ui/button","title":"button","content":"pub fn button(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n The `button` element is a clickable control that receives keyboard and pointer\n events that you would use to dispatch messages to your `update` function when\n interacted with.\n\n **Note**: in Safari, buttons aren&#39;t part of the tab order by default. To make\n them focusable, buttons in Lustre UI have their `tabindex` attribute set to\n `0` for consistent behaviour across browsers.\n\nSynonyms:\nlustre/ui/button.button\nlustre/ui/button button","url":"lustre/ui/button.html#button"},{"doc":"lustre/ui/button","title":"clear","content":"pub fn clear() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.clear\nlustre/ui/button clear","url":"lustre/ui/button.html#clear"},{"doc":"lustre/ui/button","title":"count_badge","content":"pub fn count_badge(\n  attributes: List(Attribute(a)),\n  count: Int,\n) -&gt; Element(a)\n Renders a small numerical count as a badge inside a button. This could be\n used to represent the number of items in a list or the number of unread\n notifications.\n\n If the count is greater than 99, the badge will display `&quot;99+&quot;`.\n\nSynonyms:\nlustre/ui/button.count_badge\nlustre/ui/button count_badge","url":"lustre/ui/button.html#count_badge"},{"doc":"lustre/ui/button","title":"height","content":"pub fn height(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.height\nlustre/ui/button height","url":"lustre/ui/button.html#height"},{"doc":"lustre/ui/button","title":"icon","content":"pub fn icon() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.icon\nlustre/ui/button icon","url":"lustre/ui/button.html#icon"},{"doc":"lustre/ui/button","title":"large","content":"pub fn large() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.large\nlustre/ui/button large","url":"lustre/ui/button.html#large"},{"doc":"lustre/ui/button","title":"link","content":"pub fn link(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n Styles a HTML `&lt;a&gt;` element as a button. You should use this element when\n you want to create a button that navigates to a different page or location.\n\nSynonyms:\nlustre/ui/button.link\nlustre/ui/button link","url":"lustre/ui/button.html#link"},{"doc":"lustre/ui/button","title":"medium","content":"pub fn medium() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.medium\nlustre/ui/button medium","url":"lustre/ui/button.html#medium"},{"doc":"lustre/ui/button","title":"min_height","content":"pub fn min_height(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.min_height\nlustre/ui/button min_height","url":"lustre/ui/button.html#min_height"},{"doc":"lustre/ui/button","title":"of","content":"pub fn of(\n  element: fn(List(Attribute(a)), List(Element(a))) -&gt; Element(a),\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n In the uncommon case that you need to render a button as a different HTML\n element, you can use this function to supply the element you want to use.\n This can be useful if you have an element that implements the _functionality_\n of a button but and you to add Lustre UI&#39;s button styles to it.\n\n **Note**: If you are styling a different element as a button, it&#39;s **crucial**\n to ensure that the element is accessible and behaves correctly. In _most_ cases,\n this means setting the `role` attribute to `&quot;button&quot;` and ensuring that the\n element handles both click and keyboard events.\n\nSynonyms:\nlustre/ui/button.of\nlustre/ui/button of","url":"lustre/ui/button.html#of"},{"doc":"lustre/ui/button","title":"outline","content":"pub fn outline() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.outline\nlustre/ui/button outline","url":"lustre/ui/button.html#outline"},{"doc":"lustre/ui/button","title":"padding_x","content":"pub fn padding_x(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.padding_x\nlustre/ui/button padding_x","url":"lustre/ui/button.html#padding_x"},{"doc":"lustre/ui/button","title":"pill","content":"pub fn pill() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.pill\nlustre/ui/button pill","url":"lustre/ui/button.html#pill"},{"doc":"lustre/ui/button","title":"radius","content":"pub fn radius(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.radius\nlustre/ui/button radius","url":"lustre/ui/button.html#radius"},{"doc":"lustre/ui/button","title":"round","content":"pub fn round() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.round\nlustre/ui/button round","url":"lustre/ui/button.html#round"},{"doc":"lustre/ui/button","title":"shortcut_badge","content":"pub fn shortcut_badge(\n  attributes: List(Attribute(a)),\n  chord: List(String),\n) -&gt; Element(a)\n Renders a small badge inside a button that represents a keyboard shortcut that\n would trigger the button&#39;s action.\n\n You can add a separator between keys by setting the `--separator` css variable:\n\n \n import lustre/attribute\n import lustre/ui/button\n\n pub fn cmd_k_badge() {\n   let chord = [&quot;⌘&quot;, &quot;k&quot;]\n   let styles = attribute.style([#(&quot;--separator&quot;, &quot;&#39;+&#39;&quot;)])\n\n   button.shortcut_badge([styles], chord)\n }\n \n\nSynonyms:\nlustre/ui/button.shortcut_badge\nlustre/ui/button shortcut_badge","url":"lustre/ui/button.html#shortcut_badge"},{"doc":"lustre/ui/button","title":"small","content":"pub fn small() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.small\nlustre/ui/button small","url":"lustre/ui/button.html#small"},{"doc":"lustre/ui/button","title":"soft","content":"pub fn soft() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.soft\nlustre/ui/button soft","url":"lustre/ui/button.html#soft"},{"doc":"lustre/ui/button","title":"solid","content":"pub fn solid() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.solid\nlustre/ui/button solid","url":"lustre/ui/button.html#solid"},{"doc":"lustre/ui/button","title":"square","content":"pub fn square() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.square\nlustre/ui/button square","url":"lustre/ui/button.html#square"},{"doc":"lustre/ui/button","title":"text","content":"pub fn text(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/button.text\nlustre/ui/button text","url":"lustre/ui/button.html#text"},{"doc":"lustre/ui/button","title":"lustre/ui/button","content":" The [`button`](#button) element is a clickable control that receives keyboard\n and pointer events that you would use to dispatch messages to your `update`\n function when interacted with.\n\n Common uses for buttons include:\n\n - Submitting forms or triggering the submission of data.\n\n - As navigation elements when using the stylised [`link`](#link) variant.\n\n - Opening and closing dialogs, menus, and other interactive components.\n\n ## Anatomy\n\n &lt;image src=&quot;/assets/diagram-button.svg&quot; alt=&quot;&quot; width=&quot;100%&quot;&gt;\n\n A button is made up of different parts:\n\n - The main [`button`](#button) container used to control the button&#39;s styles\n   and layout. (**required**)\n\n - One or more items of content like text or icons that provide visual and\n   semantic information about the button&#39;s purpose. (**required**)\n\n ## Recipes\n\n Below are some recipes that show common uses of the `button` element.\n\n ### A basic button with an icon and text:\n\n ```gleam\n import lustre/element/html\n import lustre/event\n import lustre/ui/button.{button}\n import lustre/ui/icon\n\n pub fn save(handle_click) {\n   button([event.on_click(handle_click)], [\n     icon.save([]),\n     html.text(&quot;Save&quot;),\n   ])\n }\n ```\n\n ### A command palette button with a keyboard shortcut badge:\n\n ```gleam\n import lustre/element/html\n import lustre/event\n import lustre/ui/button.{button}\n\n pub fn command_palette(handle_click) {\n   button([button.solid(), event.on_click(handle_click)], [\n     html.text(&quot;Open&quot;),\n     button.shortcut_badge([], [&quot;⌘&quot;, &quot;k&quot;])\n   ])\n }\n ```\n\n ## Customisation\n\n The style or look of a button can be controlled by using one of the following\n attributes:\n\n - [`clear`](#clear)\n - [`outline`](#outline)\n - [`soft`](#soft)\n - [`solid`](#solid)\n\n The size of a button can be controlled by using one of the following attributes:\n\n - [`small`](#small)\n - [`medium`](#medium)\n - [`large`](#large)\n - [`icon`](#icon)\n\n The border radius of a button can be controlled while still using your theme&#39;s\n configuration by using one of the following attributes:\n\n - [`square`](#square)\n - [`round`](#round)\n - [`pill`](#pill)\n\n It is possible to control some aspects of a button&#39;s styling through CSS\n variables. You may want to do this in cases where you are integrating lustre/ui\n into an existing design system and you want the `button` element to match\n elements outside of this package.\n\n The following CSS variables can set in your own stylesheets or by using the\n corresponding attribute functions in this module:\n\n - [`--background`](#background)\n - [`--background-hover`](#background_hover)\n - [`--border`](#border)\n - [`--border-hover`](#border_hover)\n - [`--border-width`](#border_width)\n - [`--height`](#height)\n - [`--min-height`](#min_height)\n - [`--padding-x`](#padding_x)\n - [`--radius`](#radius)\n - [`--text`](#text)\n","url":"lustre/ui/button.html"},{"doc":"lustre/ui/card","title":"background","content":"pub fn background(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.background\nlustre/ui/card background","url":"lustre/ui/card.html#background"},{"doc":"lustre/ui/card","title":"border","content":"pub fn border(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.border\nlustre/ui/card border","url":"lustre/ui/card.html#border"},{"doc":"lustre/ui/card","title":"border_width","content":"pub fn border_width(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.border_width\nlustre/ui/card border_width","url":"lustre/ui/card.html#border_width"},{"doc":"lustre/ui/card","title":"card","content":"pub fn card(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/card.card\nlustre/ui/card card","url":"lustre/ui/card.html#card"},{"doc":"lustre/ui/card","title":"content","content":"pub fn content(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/card.content\nlustre/ui/card content","url":"lustre/ui/card.html#content"},{"doc":"lustre/ui/card","title":"footer","content":"pub fn footer(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/card.footer\nlustre/ui/card footer","url":"lustre/ui/card.html#footer"},{"doc":"lustre/ui/card","title":"header","content":"pub fn header(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/card.header\nlustre/ui/card header","url":"lustre/ui/card.html#header"},{"doc":"lustre/ui/card","title":"of","content":"pub fn of(\n  element: fn(List(Attribute(a)), List(Element(a))) -&gt; Element(a),\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/card.of\nlustre/ui/card of","url":"lustre/ui/card.html#of"},{"doc":"lustre/ui/card","title":"padding","content":"pub fn padding(x: String, y: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.padding\nlustre/ui/card padding","url":"lustre/ui/card.html#padding"},{"doc":"lustre/ui/card","title":"padding_x","content":"pub fn padding_x(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.padding_x\nlustre/ui/card padding_x","url":"lustre/ui/card.html#padding_x"},{"doc":"lustre/ui/card","title":"padding_y","content":"pub fn padding_y(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.padding_y\nlustre/ui/card padding_y","url":"lustre/ui/card.html#padding_y"},{"doc":"lustre/ui/card","title":"radius","content":"pub fn radius(value: String) -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.radius\nlustre/ui/card radius","url":"lustre/ui/card.html#radius"},{"doc":"lustre/ui/card","title":"round","content":"pub fn round() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.round\nlustre/ui/card round","url":"lustre/ui/card.html#round"},{"doc":"lustre/ui/card","title":"square","content":"pub fn square() -&gt; Attribute(a)\n\n\nSynonyms:\nlustre/ui/card.square\nlustre/ui/card square","url":"lustre/ui/card.html#square"},{"doc":"lustre/ui/card","title":"lustre/ui/card","content":"","url":"lustre/ui/card.html"},{"doc":"lustre/ui/checkbox","title":"background","content":"pub fn background(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/checkbox.background\nlustre/ui/checkbox background","url":"lustre/ui/checkbox.html#background"},{"doc":"lustre/ui/checkbox","title":"background_hover","content":"pub fn background_hover(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/checkbox.background_hover\nlustre/ui/checkbox background_hover","url":"lustre/ui/checkbox.html#background_hover"},{"doc":"lustre/ui/checkbox","title":"border","content":"pub fn border(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/checkbox.border\nlustre/ui/checkbox border","url":"lustre/ui/checkbox.html#border"},{"doc":"lustre/ui/checkbox","title":"border_hover","content":"pub fn border_hover(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/checkbox.border_hover\nlustre/ui/checkbox border_hover","url":"lustre/ui/checkbox.html#border_hover"},{"doc":"lustre/ui/checkbox","title":"border_width","content":"pub fn border_width(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/checkbox.border_width\nlustre/ui/checkbox border_width","url":"lustre/ui/checkbox.html#border_width"},{"doc":"lustre/ui/checkbox","title":"check_color","content":"pub fn check_color(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/checkbox.check_color\nlustre/ui/checkbox check_color","url":"lustre/ui/checkbox.html#check_color"},{"doc":"lustre/ui/checkbox","title":"checkbox","content":"pub fn checkbox(attributes: List(Attribute(a))) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/checkbox.checkbox\nlustre/ui/checkbox checkbox","url":"lustre/ui/checkbox.html#checkbox"},{"doc":"lustre/ui/checkbox","title":"padding","content":"pub fn padding(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/checkbox.padding\nlustre/ui/checkbox padding","url":"lustre/ui/checkbox.html#padding"},{"doc":"lustre/ui/checkbox","title":"size","content":"pub fn size(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/checkbox.size\nlustre/ui/checkbox size","url":"lustre/ui/checkbox.html#size"},{"doc":"lustre/ui/checkbox","title":"lustre/ui/checkbox","content":"","url":"lustre/ui/checkbox.html"},{"doc":"lustre/ui/input","title":"container","content":"pub fn container(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/input.container\nlustre/ui/input container","url":"lustre/ui/input.html#container"},{"doc":"lustre/ui/input","title":"input","content":"pub fn input(attributes: List(Attribute(a))) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/input.input\nlustre/ui/input input","url":"lustre/ui/input.html#input"},{"doc":"lustre/ui/input","title":"lustre/ui/input","content":"","url":"lustre/ui/input.html"},{"doc":"lustre/ui/combobox","title":"Item","content":"pub opaque type Item\n\n\nSynonyms:\nlustre/ui/combobox.Item\nlustre/ui/combobox Item","url":"lustre/ui/combobox.html#Item"},{"doc":"lustre/ui/combobox","title":"name","content":"pub const name: String\n\nSynonyms:\nlustre/ui/combobox.name\nlustre/ui/combobox name","url":"lustre/ui/combobox.html#name"},{"doc":"lustre/ui/combobox","title":"combobox","content":"pub fn combobox(\n  attributes: List(Attribute(a)),\n  children: List(Item),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/combobox.combobox\nlustre/ui/combobox combobox","url":"lustre/ui/combobox.html#combobox"},{"doc":"lustre/ui/combobox","title":"on_change","content":"pub fn on_change(handler: fn(String) -&gt; a) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/combobox.on_change\nlustre/ui/combobox on_change","url":"lustre/ui/combobox.html#on_change"},{"doc":"lustre/ui/combobox","title":"option","content":"pub fn option(value value: String, label label: String) -&gt; Item\n\nSynonyms:\nlustre/ui/combobox.option\nlustre/ui/combobox option","url":"lustre/ui/combobox.html#option"},{"doc":"lustre/ui/combobox","title":"placeholder","content":"pub fn placeholder(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/combobox.placeholder\nlustre/ui/combobox placeholder","url":"lustre/ui/combobox.html#placeholder"},{"doc":"lustre/ui/combobox","title":"register","content":"pub fn register() -&gt; Result(Nil, Error)\n\nSynonyms:\nlustre/ui/combobox.register\nlustre/ui/combobox register","url":"lustre/ui/combobox.html#register"},{"doc":"lustre/ui/combobox","title":"value","content":"pub fn value(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/combobox.value\nlustre/ui/combobox value","url":"lustre/ui/combobox.html#value"},{"doc":"lustre/ui/combobox","title":"lustre/ui/combobox","content":"","url":"lustre/ui/combobox.html"},{"doc":"lustre/ui/divider","title":"colour","content":"pub fn colour(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/divider.colour\nlustre/ui/divider colour","url":"lustre/ui/divider.html#colour"},{"doc":"lustre/ui/divider","title":"divider","content":"pub fn divider(\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/divider.divider\nlustre/ui/divider divider","url":"lustre/ui/divider.html#divider"},{"doc":"lustre/ui/divider","title":"gap","content":"pub fn gap(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/divider.gap\nlustre/ui/divider gap","url":"lustre/ui/divider.html#gap"},{"doc":"lustre/ui/divider","title":"margin","content":"pub fn margin(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/divider.margin\nlustre/ui/divider margin","url":"lustre/ui/divider.html#margin"},{"doc":"lustre/ui/divider","title":"of","content":"pub fn of(\n  element: fn(List(Attribute(a)), List(Element(a))) -&gt; Element(a),\n  attributes: List(Attribute(a)),\n  children: List(Element(a)),\n) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/divider.of\nlustre/ui/divider of","url":"lustre/ui/divider.html#of"},{"doc":"lustre/ui/divider","title":"size_x","content":"pub fn size_x(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/divider.size_x\nlustre/ui/divider size_x","url":"lustre/ui/divider.html#size_x"},{"doc":"lustre/ui/divider","title":"size_y","content":"pub fn size_y(value: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/divider.size_y\nlustre/ui/divider size_y","url":"lustre/ui/divider.html#size_y"},{"doc":"lustre/ui/divider","title":"lustre/ui/divider","content":"","url":"lustre/ui/divider.html"},{"doc":"lustre/ui/tween","title":"Function","content":"pub type Function {\n  Linear\n  Sine(Kind)\n  Quadratic(Kind)\n  Cubic(Kind)\n  Quartic(Kind)\n  Quintic(Kind)\n  Exponential(Kind)\n  Circular(Kind)\n  Elastic(Kind)\n  Back(Kind)\n  Bounce(Kind)\n}\n The type of easing function to use.\n\nLinear\n\n\nSine(Kind)\n\n\nQuadratic(Kind)\n\n\nCubic(Kind)\n\n\nQuartic(Kind)\n\n\nQuintic(Kind)\n\n\nExponential(Kind)\n\n\nCircular(Kind)\n\n\nElastic(Kind)\n\n\nBack(Kind)\n\n\nBounce(Kind)\n\n\nSynonyms:\nlustre/ui/tween.Function\nlustre/ui/tween Function","url":"lustre/ui/tween.html#Function"},{"doc":"lustre/ui/tween","title":"Kind","content":"pub type Kind {\n  In\n  Out\n  InOut\n}\n\nIn\n\n\nOut\n\n\nInOut\n\n\nSynonyms:\nlustre/ui/tween.Kind\nlustre/ui/tween Kind","url":"lustre/ui/tween.html#Kind"},{"doc":"lustre/ui/tween","title":"back","content":"pub fn back(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.back\nlustre/ui/tween back","url":"lustre/ui/tween.html#back"},{"doc":"lustre/ui/tween","title":"bounce","content":"pub fn bounce(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.bounce\nlustre/ui/tween bounce","url":"lustre/ui/tween.html#bounce"},{"doc":"lustre/ui/tween","title":"circular","content":"pub fn circular(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.circular\nlustre/ui/tween circular","url":"lustre/ui/tween.html#circular"},{"doc":"lustre/ui/tween","title":"cubic","content":"pub fn cubic(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.cubic\nlustre/ui/tween cubic","url":"lustre/ui/tween.html#cubic"},{"doc":"lustre/ui/tween","title":"elastic","content":"pub fn elastic(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.elastic\nlustre/ui/tween elastic","url":"lustre/ui/tween.html#elastic"},{"doc":"lustre/ui/tween","title":"exponential","content":"pub fn exponential(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.exponential\nlustre/ui/tween exponential","url":"lustre/ui/tween.html#exponential"},{"doc":"lustre/ui/tween","title":"from_string","content":"pub fn from_string(function: String) -&gt; Result(Function, Nil)\n\nSynonyms:\nlustre/ui/tween.from_string\nlustre/ui/tween from_string","url":"lustre/ui/tween.html#from_string"},{"doc":"lustre/ui/tween","title":"linear","content":"pub fn linear(at: Float, from: Float, to: Float) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.linear\nlustre/ui/tween linear","url":"lustre/ui/tween.html#linear"},{"doc":"lustre/ui/tween","title":"quadratic","content":"pub fn quadratic(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.quadratic\nlustre/ui/tween quadratic","url":"lustre/ui/tween.html#quadratic"},{"doc":"lustre/ui/tween","title":"quartic","content":"pub fn quartic(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.quartic\nlustre/ui/tween quartic","url":"lustre/ui/tween.html#quartic"},{"doc":"lustre/ui/tween","title":"quintic","content":"pub fn quintic(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.quintic\nlustre/ui/tween quintic","url":"lustre/ui/tween.html#quintic"},{"doc":"lustre/ui/tween","title":"sine","content":"pub fn sine(\n  at: Float,\n  from: Float,\n  to: Float,\n  kind: Kind,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.sine\nlustre/ui/tween sine","url":"lustre/ui/tween.html#sine"},{"doc":"lustre/ui/tween","title":"to_string","content":"pub fn to_string(function: Function) -&gt; String\n\nSynonyms:\nlustre/ui/tween.to_string\nlustre/ui/tween to_string","url":"lustre/ui/tween.html#to_string"},{"doc":"lustre/ui/tween","title":"tween","content":"pub fn tween(\n  at: Float,\n  from: Float,\n  to: Float,\n  using: Function,\n) -&gt; Float\n\nSynonyms:\nlustre/ui/tween.tween\nlustre/ui/tween tween","url":"lustre/ui/tween.html#tween"},{"doc":"lustre/ui/tween","title":"lustre/ui/tween","content":"","url":"lustre/ui/tween.html"},{"doc":"lustre/ui/reveal","title":"name","content":"pub const name: String\n\nSynonyms:\nlustre/ui/reveal.name\nlustre/ui/reveal name","url":"lustre/ui/reveal.html#name"},{"doc":"lustre/ui/reveal","title":"duration","content":"pub fn duration(ms: Int) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/reveal.duration\nlustre/ui/reveal duration","url":"lustre/ui/reveal.html#duration"},{"doc":"lustre/ui/reveal","title":"easing_function","content":"pub fn easing_function(function: Function) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/reveal.easing_function\nlustre/ui/reveal easing_function","url":"lustre/ui/reveal.html#easing_function"},{"doc":"lustre/ui/reveal","title":"register","content":"pub fn register() -&gt; Result(Nil, Error)\n\nSynonyms:\nlustre/ui/reveal.register\nlustre/ui/reveal register","url":"lustre/ui/reveal.html#register"},{"doc":"lustre/ui/reveal","title":"reveal","content":"pub fn reveal(attributes: List(Attribute(a))) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/reveal.reveal\nlustre/ui/reveal reveal","url":"lustre/ui/reveal.html#reveal"},{"doc":"lustre/ui/reveal","title":"value","content":"pub fn value(message: String) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/reveal.value\nlustre/ui/reveal value","url":"lustre/ui/reveal.html#value"},{"doc":"lustre/ui/reveal","title":"lustre/ui/reveal","content":"","url":"lustre/ui/reveal.html"},{"doc":"lustre/ui/ticker","title":"name","content":"pub const name: String\n\nSynonyms:\nlustre/ui/ticker.name\nlustre/ui/ticker name","url":"lustre/ui/ticker.html#name"},{"doc":"lustre/ui/ticker","title":"duration","content":"pub fn duration(ms: Int) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/ticker.duration\nlustre/ui/ticker duration","url":"lustre/ui/ticker.html#duration"},{"doc":"lustre/ui/ticker","title":"register","content":"pub fn register() -&gt; Result(Nil, Error)\n\nSynonyms:\nlustre/ui/ticker.register\nlustre/ui/ticker register","url":"lustre/ui/ticker.html#register"},{"doc":"lustre/ui/ticker","title":"ticker","content":"pub fn ticker(attributes: List(Attribute(a))) -&gt; Element(a)\n\nSynonyms:\nlustre/ui/ticker.ticker\nlustre/ui/ticker ticker","url":"lustre/ui/ticker.html#ticker"},{"doc":"lustre/ui/ticker","title":"value","content":"pub fn value(num: Int) -&gt; Attribute(a)\n\nSynonyms:\nlustre/ui/ticker.value\nlustre/ui/ticker value","url":"lustre/ui/ticker.html#value"},{"doc":"lustre/ui/ticker","title":"lustre/ui/ticker","content":"","url":"lustre/ui/ticker.html"}]);